import '../../../../utils/index.mjs';
import { buildProps } from '../../../../utils/src/vue/props/runtime.mjs';

"use strict";
const actionAreaProps = buildProps({
  component: {
    type: [String, Object],
    default: "div"
  },
  disabled: {
    type: Boolean,
    default: false
  },
  cs: {
    type: [Object, String]
  }
});

export { actionAreaProps };
//# sourceMappingURL=action-area.mjs.map
