import { openBlock, resolveDynamicComponent, unref, normalizeClass, createBlock, defineComponent } from 'vue';
import '../../../../utils/index.mjs';
import { cardMediaProps } from './card-media.mjs';
import useCss from './index.jss.mjs';
import { useNamespace } from '../../../../utils/src/dom/use-namespace.mjs';

"use strict";
var _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "index",
  props: cardMediaProps,
  setup(__props) {
    const props = __props;
    const ns = useNamespace("card-media");
    const cssClass = useCss(props);
    return (_ctx, _cache) => {
      return openBlock(), createBlock(resolveDynamicComponent(_ctx.$props.component), {
        class: normalizeClass([
          unref(ns).b(),
          unref(ns).m(_ctx.$props.shape),
          _ctx.$props.gutter ? unref(ns).m("gutter") : "",
          unref(cssClass)
        ])
      }, null, 8, ["class"]);
    };
  }
});

export { _sfc_main as default };
//# sourceMappingURL=index.vue2.mjs.map
