import '../../../../utils/index.mjs';
import { buildProps } from '../../../../utils/src/vue/props/runtime.mjs';

"use strict";
const cardVariants = ["elevated", "filled", "outlined"];
const cardProps = buildProps({
  variant: {
    type: String,
    values: cardVariants,
    default: "elevated"
  },
  cs: {
    type: [Object, String]
  }
});

export { cardProps, cardVariants };
//# sourceMappingURL=card.mjs.map
