import '../../../../constants/index.mjs';
import { componentSizes } from '../../../../constants/src/size.mjs';

"use strict";
const checkboxProps = {
  modelValue: {
    type: [Boolean, Array]
  },
  color: {
    type: [String, Function],
    default: "primary"
  },
  size: {
    type: String,
    value: componentSizes,
    default: "medium"
  }
};

export { checkboxProps };
//# sourceMappingURL=checkbox.mjs.map
