import '../../../../constants/index.mjs';
import '../../../../utils/index.mjs';
import { componentSizes } from '../../../../constants/src/size.mjs';
import { buildProps } from '../../../../utils/src/vue/props/runtime.mjs';

"use strict";
const fbaVariants = ["circle", "extended"];
const fbaProps = buildProps({
  size: {
    type: String,
    values: componentSizes,
    default: "medium"
  },
  color: {
    type: [String, Function],
    default: "primaryContainer"
  }
});

export { fbaProps, fbaVariants };
//# sourceMappingURL=fba.mjs.map
