import { openBlock, unref, normalizeClass, renderSlot, withCtx, createBlock, defineComponent } from 'vue';
import '../../../../utils/index.mjs';
import { InTypography } from '../../typography/index.mjs';
import { linkProps } from './link.mjs';
import useCss from './index.jss.mjs';
import { useNamespace } from '../../../../utils/src/dom/use-namespace.mjs';

"use strict";
var _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "index",
  props: linkProps,
  setup(__props) {
    const props = __props;
    const ns = useNamespace("link");
    const cssClass = useCss(props);
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(InTypography), {
        component: _ctx.$props.component,
        class: normalizeClass([unref(ns).b(), unref(ns).m(`underline-${_ctx.$props.underline}`), unref(cssClass)]),
        color: _ctx.$props.color
      }, {
        default: withCtx(() => [
          renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
        /* FORWARDED */
      }, 8, ["component", "class", "color"]);
    };
  }
});

export { _sfc_main as default };
//# sourceMappingURL=index.vue2.mjs.map
