import '../../../../utils/index.mjs';
import { buildProps } from '../../../../utils/src/vue/props/runtime.mjs';

"use strict";
const progressVariants = ["circular", "linear"];
const progressStatus = ["determinate", "indeterminate"];
const progressProps = buildProps({
  variant: {
    type: String,
    values: progressVariants,
    default: "circular"
  },
  status: {
    type: String,
    values: progressStatus,
    default: "indeterminate"
  },
  value: {
    type: [Number, String]
  },
  color: {
    type: [String, Function],
    default: "primary"
  },
  cs: {
    type: [Object, String]
  }
});

export { progressProps, progressStatus, progressVariants };
//# sourceMappingURL=progress.mjs.map
