import '../../../../utils/index.mjs';
import { buildProps } from '../../../../utils/src/vue/props/runtime.mjs';

"use strict";
const svgIconProps = buildProps({
  size: {
    type: [Number, String],
    default: "inherit"
  },
  color: {
    type: [String, Function],
    default: "inherit"
  },
  fill: {
    type: [String, Function]
  },
  component: {
    type: [Object, String],
    default: "svg"
  },
  cs: {
    type: [Object, String]
  }
});

export { svgIconProps };
//# sourceMappingURL=svg-icon.mjs.map
