import stateCss from '@interface-ui/theme/styles/state.less?inline';

"use strict";
const match = stateCss.matchAll(
  /--\b(md|in)\b-sys-state-([a-z]+)-state-layer-opacity: ([\.0-9]+);/g
);
const states = [...match].reduce((pre, cur) => {
  const [_, _source, state, value] = cur;
  pre[state] = value;
  return pre;
}, {});

export { states as default };
//# sourceMappingURL=state.mjs.map
