import { isString } from '../../../node_modules/.pnpm/@vue_shared@3.2.47/node_modules/@vue/shared/dist/shared.esm-bundler.mjs';

"use strict";
class InterfaceUIError extends Error {
  constructor(m) {
    super(m);
    this.name = "InterfaceUIError";
  }
}
function debugWarn(scope, message) {
  if (process.env.NODE_ENV !== "production") {
    const error = isString(scope) ? new InterfaceUIError(`[${scope}] ${message}`) : scope;
    console.warn(error);
  }
}

export { debugWarn };
//# sourceMappingURL=error.mjs.map
