'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var vue = require('vue');
require('../../../../utils/index.js');
var avatar = require('./avatar.js');
var index_jss = require('./index.jss.js');
var useNamespace = require('../../../../utils/src/dom/use-namespace.js');

"use strict";
const __default__ = vue.defineComponent({
  inheritAttrs: false
});
var _sfc_main = /* @__PURE__ */ vue.defineComponent({
  ...__default__,
  __name: "index",
  props: avatar.avatarProps,
  setup(__props) {
    const props = __props;
    const ns = useNamespace.useNamespace("avatar");
    const cssClass = index_jss.default(props);
    const { class: classAttr, ...restAttrs } = vue.useAttrs();
    return (_ctx, _cache) => {
      return vue.openBlock(), vue.createElementBlock(
        "div",
        {
          class: vue.normalizeClass([vue.unref(classAttr), vue.unref(ns).b(), vue.unref(ns).m(props.variant), vue.unref(cssClass)])
        },
        [
          vue.renderSlot(_ctx.$slots, "default", {}, () => [
            vue.createCommentVNode(" eslint-disable-next-line vue/html-self-closing "),
            vue.createElementVNode(
              "img",
              vue.normalizeProps(vue.guardReactiveProps(restAttrs)),
              null,
              16
              /* FULL_PROPS */
            )
          ])
        ],
        2
        /* CLASS */
      );
    };
  }
});

exports.default = _sfc_main;
//# sourceMappingURL=index.vue2.js.map
