'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var vue = require('vue');
require('../../../../utils/index.js');
require('../../../../constants/index.js');
var index = require('../../button-base/index.js');
var index$1 = require('../../ripple/index.js');
var button = require('./button.js');
var index_jss = require('./index.jss.js');
var useNamespace = require('../../../../utils/src/dom/use-namespace.js');
var size = require('../../../../constants/src/size.js');

"use strict";
var _sfc_main = /* @__PURE__ */ vue.defineComponent({
  __name: "index",
  props: button.buttonProps,
  setup(__props) {
    const props = __props;
    const ns = useNamespace.useNamespace("button");
    const cssClass = index_jss.default(props, ns);
    const classList = vue.computed(() => {
      const { variant, shape, size } = props;
      return [ns.b(), ns.m(size), ns.m(shape), ns.m(variant)];
    });
    return (_ctx, _cache) => {
      return vue.openBlock(), vue.createBlock(vue.unref(index.InButtonBase), {
        class: vue.normalizeClass([...classList.value, `title-${props.size}`, vue.unref(cssClass)])
      }, {
        default: vue.withCtx(() => [
          vue.renderSlot(_ctx.$slots, "default", vue.normalizeProps(vue.guardReactiveProps({ size: vue.unref(size.iconSize)[props.size] }))),
          !props.disableRipple ? (vue.openBlock(), vue.createBlock(vue.unref(index$1.InRipple), {
            key: 0,
            color: props.variant === "filled" ? void 0 : props.color
          }, null, 8, ["color"])) : vue.createCommentVNode("v-if", true)
        ]),
        _: 3
        /* FORWARDED */
      }, 8, ["class"]);
    };
  }
});

exports.default = _sfc_main;
//# sourceMappingURL=index.vue2.js.map
