'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var vue = require('vue');
require('../../../../utils/index.js');
var cardHeader = require('./card-header.js');
var index_jss = require('./index.jss.js');
var useNamespace = require('../../../../utils/src/dom/use-namespace.js');

"use strict";
var _sfc_main = /* @__PURE__ */ vue.defineComponent({
  __name: "index",
  props: cardHeader.cardHeaderProps,
  setup(__props) {
    const props = __props;
    const ns = useNamespace.useNamespace("card-header");
    const cssClass = index_jss.default(props);
    return (_ctx, _cache) => {
      return vue.openBlock(), vue.createElementBlock(
        "div",
        {
          class: vue.normalizeClass([vue.unref(ns).b(), vue.unref(cssClass)])
        },
        [
          vue.renderSlot(_ctx.$slots, "avatar"),
          vue.createElementVNode(
            "span",
            {
              class: vue.normalizeClass([vue.unref(ns).m("title")])
            },
            [
              vue.renderSlot(_ctx.$slots, "default")
            ],
            2
            /* CLASS */
          ),
          vue.renderSlot(_ctx.$slots, "action")
        ],
        2
        /* CLASS */
      );
    };
  }
});

exports.default = _sfc_main;
//# sourceMappingURL=index.vue2.js.map
