'use strict';

require('../../../../utils/index.js');
var runtime = require('../../../../utils/src/vue/props/runtime.js');

"use strict";
const cardVariants = ["elevated", "filled", "outlined"];
const cardProps = runtime.buildProps({
  variant: {
    type: String,
    values: cardVariants,
    default: "elevated"
  },
  cs: {
    type: [Object, String]
  }
});

exports.cardProps = cardProps;
exports.cardVariants = cardVariants;
//# sourceMappingURL=card.js.map
