'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var vue = require('vue');
require('../../../../utils/index.js');
var index = require('../../action-area/index.js');
var index$1 = require('../../icon-button/index.js');
var CloseFilled = require('../../svg-icon/internal/CloseFilled.vue.js');
var chip = require('./chip.js');
var index_jss = require('./index.jss.js');
var useNamespace = require('../../../../utils/src/dom/use-namespace.js');

"use strict";
var _sfc_main = /* @__PURE__ */ vue.defineComponent({
  __name: "index",
  props: chip.chipProps,
  emits: ["delete"],
  setup(__props) {
    const props = __props;
    const ns = useNamespace.useNamespace("chip");
    const cssClass = index_jss.default(props);
    return (_ctx, _cache) => {
      return vue.openBlock(), vue.createBlock(vue.resolveDynamicComponent(_ctx.$props.clickable ? vue.unref(index.InActionArea) : _ctx.$props.component), vue.mergeProps(_ctx.$props.clickable ? { component: _ctx.$props.component } : {}, {
        class: [[vue.unref(ns).b(), vue.unref(ns).m(_ctx.$props.variant), vue.unref(cssClass)], "label-large"]
      }), {
        default: vue.withCtx(() => [
          vue.renderSlot(_ctx.$slots, "default"),
          _ctx.$props.deletable ? (vue.openBlock(), vue.createBlock(vue.unref(index$1.InIconButton), {
            key: 0,
            class: vue.normalizeClass([vue.unref(ns).em("button", "delete")]),
            size: "small",
            cs: "padding: 4px;",
            onClick: _cache[0] || (_cache[0] = ($event) => _ctx.$emit("delete"))
          }, {
            default: vue.withCtx(() => [
              vue.createVNode(CloseFilled.default)
            ]),
            _: 1
            /* STABLE */
          }, 8, ["class"])) : vue.createCommentVNode("v-if", true)
        ]),
        _: 3
        /* FORWARDED */
      }, 16, ["class"]);
    };
  }
});

exports.default = _sfc_main;
//# sourceMappingURL=index.vue2.js.map
