'use strict';

require('../../../../utils/index.js');
var runtime = require('../../../../utils/src/vue/props/runtime.js');

"use strict";
const dialogVariants = ["basic", "full-screen"];
const dialogProps = runtime.buildProps({
  open: {
    type: Boolean,
    required: true,
    default: false
  },
  backdrop: {
    type: Boolean,
    default: true
  },
  keepMounted: {
    type: Boolean,
    default: false
  },
  variant: {
    type: String,
    values: dialogVariants,
    default: "basic"
  },
  cs: {
    type: [Object, String]
  }
});

exports.dialogProps = dialogProps;
exports.dialogVariants = dialogVariants;
//# sourceMappingURL=dialog.js.map
