'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var vue = require('vue');
require('../../../../utils/index.js');
var index = require('../../modal/index.js');
var dialog = require('./dialog.js');
var index_jss = require('./index.jss.js');
var useNamespace = require('../../../../utils/src/dom/use-namespace.js');

"use strict";
var _sfc_main = /* @__PURE__ */ vue.defineComponent({
  ...{ inheritAttrs: false },
  __name: "index",
  props: dialog.dialogProps,
  emits: ["close"],
  setup(__props) {
    const props = __props;
    const ns = useNamespace.useNamespace("dialog");
    const cssClass = index_jss.default(props);
    return (_ctx, _cache) => {
      return vue.openBlock(), vue.createBlock(vue.unref(index.InModal), {
        "keep-mounted": _ctx.$props.keepMounted,
        "model-value": _ctx.$props.open,
        backdrop: _ctx.$props.backdrop,
        onClick: _cache[0] || (_cache[0] = ($event) => _ctx.$emit("close"))
      }, {
        default: vue.withCtx(() => [
          vue.createElementVNode(
            "div",
            {
              class: vue.normalizeClass([vue.unref(ns).m("container")])
            },
            [
              vue.createElementVNode(
                "div",
                vue.mergeProps(_ctx.$attrs, {
                  class: [vue.unref(ns).b(), vue.unref(ns).m(_ctx.$props.variant), vue.unref(cssClass)]
                }),
                [
                  vue.renderSlot(_ctx.$slots, "default")
                ],
                16
                /* FULL_PROPS */
              )
            ],
            2
            /* CLASS */
          )
        ]),
        _: 3
        /* FORWARDED */
      }, 8, ["keep-mounted", "model-value", "backdrop"]);
    };
  }
});

exports.default = _sfc_main;
//# sourceMappingURL=index.vue2.js.map
