'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var vue = require('vue');
require('../../../../theme/index.js');
var useColor = require('../../../../theme/src/hooks/use-color.js');
var emotionCss_esm = require('../../../../node_modules/.pnpm/@emotion_css@11.11.2/node_modules/@emotion/css/dist/emotion-css.esm.js');

"use strict";
const useCss = (props) => vue.computed(() => {
  const [$color, $onColor] = useColor.useColor(props, "color");
  return emotionCss_esm.css`
      --in-fba-color: ${$color.value};
      --in-fba-on-color: ${$onColor.value};
    `;
});

exports.default = useCss;
//# sourceMappingURL=index.jss.js.map
