'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var vue = require('vue');
require('../../../../utils/index.js');
var index = require('../../typography/index.js');
var formLabel = require('./form-label.js');
var useNamespace = require('../../../../utils/src/dom/use-namespace.js');

"use strict";
const __default__ = vue.defineComponent({
  inheritAttrs: false
});
var _sfc_main = /* @__PURE__ */ vue.defineComponent({
  ...__default__,
  __name: "index",
  props: formLabel.formLabelProps,
  setup(__props) {
    const props = __props;
    const ns = useNamespace.useNamespace("form-label");
    return (_ctx, _cache) => {
      return vue.openBlock(), vue.createElementBlock(
        "label",
        {
          class: vue.normalizeClass([vue.unref(ns).b(), vue.unref(ns).m(props.labelPlacement)])
        },
        [
          (vue.openBlock(), vue.createBlock(
            vue.resolveDynamicComponent(props.control),
            vue.normalizeProps(vue.guardReactiveProps(_ctx.$attrs)),
            null,
            16
            /* FULL_PROPS */
          )),
          vue.createVNode(vue.unref(index.InTypography), {
            variant: "body.large",
            component: "span",
            disabled: _ctx.$attrs.disabled
          }, {
            default: vue.withCtx(() => [
              vue.createTextVNode(
                vue.toDisplayString(props.label),
                1
                /* TEXT */
              )
            ]),
            _: 1
            /* STABLE */
          }, 8, ["disabled"])
        ],
        2
        /* CLASS */
      );
    };
  }
});

exports.default = _sfc_main;
//# sourceMappingURL=index.vue2.js.map
