'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var vue = require('vue');
require('../../../../constants/index.js');
require('../../../../utils/index.js');
var index = require('../../button-base/index.js');
var index$1 = require('../../ripple/index.js');
var iconButton = require('./icon-button.js');
var index_jss = require('./index.jss.js');
var useNamespace = require('../../../../utils/src/dom/use-namespace.js');
var size = require('../../../../constants/src/size.js');

"use strict";
var _sfc_main = /* @__PURE__ */ vue.defineComponent({
  __name: "index",
  props: iconButton.iconButtonProps,
  setup(__props) {
    const props = __props;
    const ns = useNamespace.useNamespace("icon-button");
    const cssClass = index_jss.default(props, ns);
    return (_ctx, _cache) => {
      return vue.openBlock(), vue.createBlock(vue.unref(index.InButtonBase), {
        class: vue.normalizeClass([vue.unref(ns).b(), vue.unref(ns).m(_ctx.$props.size), vue.unref(cssClass)])
      }, {
        default: vue.withCtx(() => [
          vue.renderSlot(_ctx.$slots, "default", vue.normalizeProps(vue.guardReactiveProps({
            size: vue.unref(size.iconSize)[_ctx.$props.size],
            color: _ctx.$props.color
          }))),
          vue.createVNode(vue.unref(index$1.InRipple), {
            color: _ctx.$props.color,
            center: ""
          }, null, 8, ["color"])
        ]),
        _: 3
        /* FORWARDED */
      }, 8, ["class"]);
    };
  }
});

exports.default = _sfc_main;
//# sourceMappingURL=index.vue2.js.map
