'use strict';

require('../../../../utils/index.js');
var runtime = require('../../../../utils/src/vue/props/runtime.js');

"use strict";
const inputBaseProps = runtime.buildProps({
  modelValue: {
    type: [String, Number, Boolean, Array, Object],
    required: true
  },
  /**
   * TIPS
   * Required to let Vue handle the modelValue when type is 'checkbox' or 'radio'
   */
  type: {
    type: String,
    default: ""
  },
  cs: {
    type: [Object, String]
  },
  /**
   * TIPS
   * For internal development only
   * DO NOT PUT THIS PROP IN DOCUMENTATION
   */
  internal: {
    type: Boolean,
    default: false
  }
});

exports.inputBaseProps = inputBaseProps;
//# sourceMappingURL=input-base.js.map
