'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var vue = require('vue');
require('../../../../utils/index.js');
var index = require('../../typography/index.js');
var link = require('./link.js');
var index_jss = require('./index.jss.js');
var useNamespace = require('../../../../utils/src/dom/use-namespace.js');

"use strict";
var _sfc_main = /* @__PURE__ */ vue.defineComponent({
  __name: "index",
  props: link.linkProps,
  setup(__props) {
    const props = __props;
    const ns = useNamespace.useNamespace("link");
    const cssClass = index_jss.default(props);
    return (_ctx, _cache) => {
      return vue.openBlock(), vue.createBlock(vue.unref(index.InTypography), {
        component: _ctx.$props.component,
        class: vue.normalizeClass([vue.unref(ns).b(), vue.unref(ns).m(`underline-${_ctx.$props.underline}`), vue.unref(cssClass)]),
        color: _ctx.$props.color
      }, {
        default: vue.withCtx(() => [
          vue.renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
        /* FORWARDED */
      }, 8, ["component", "class", "color"]);
    };
  }
});

exports.default = _sfc_main;
//# sourceMappingURL=index.vue2.js.map
