'use strict';

"use strict";
const linkUnderlineStyles = ["none", "hover", "always"];
const linkProps = {
  underline: {
    type: String,
    values: linkUnderlineStyles,
    default: "always"
  },
  color: {
    type: [String, Function],
    default: "primary"
  },
  component: {
    type: [String, Object],
    default: "a"
  },
  cs: {
    type: [Object, String]
  }
};

exports.linkProps = linkProps;
exports.linkUnderlineStyles = linkUnderlineStyles;
//# sourceMappingURL=link.js.map
