'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var vue = require('vue');
require('../../../../utils/index.js');
var index = require('../../typography/index.js');
var listItemHeader = require('./list-item-header.js');
var index_jss = require('./index.jss.js');
var useNamespace = require('../../../../utils/src/dom/use-namespace.js');

"use strict";
var _sfc_main = /* @__PURE__ */ vue.defineComponent({
  ...{ inheritAttrs: false },
  __name: "index",
  props: listItemHeader.listItemHeaderProps,
  setup(__props) {
    const props = __props;
    const ns = useNamespace.useNamespace("list-item-header");
    const cssClass = index_jss.default(props);
    return (_ctx, _cache) => {
      return vue.openBlock(), vue.createElementBlock(
        "li",
        {
          class: vue.normalizeClass([vue.unref(ns).b(), vue.unref(cssClass)])
        },
        [
          vue.createVNode(
            vue.unref(index.InTypography),
            vue.mergeProps(_ctx.$attrs, {
              variant: "label.medium",
              cs: "opacity: 0.8;"
            }),
            {
              default: vue.withCtx(() => [
                vue.renderSlot(_ctx.$slots, "default")
              ]),
              _: 3
              /* FORWARDED */
            },
            16
            /* FULL_PROPS */
          )
        ],
        2
        /* CLASS */
      );
    };
  }
});

exports.default = _sfc_main;
//# sourceMappingURL=index.vue2.js.map
