'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var vue = require('vue');
require('../../../../utils/index.js');
require('../../../../constants/index.js');
var CheckFilled = require('../../svg-icon/internal/CheckFilled.vue.js');
var index = require('../../icon-button/index.js');
var index$1 = require('../../input-base/index.js');
var _switch = require('./switch.js');
var index_jss = require('./index.jss.js');
var useNamespace = require('../../../../utils/src/dom/use-namespace.js');
var events = require('../../../../constants/src/events.js');

"use strict";
var _sfc_main = /* @__PURE__ */ vue.defineComponent({
  __name: "index",
  props: _switch.switchProps,
  emits: ["update:modelValue"],
  setup(__props, { emit: __emit }) {
    const props = __props;
    const emit = __emit;
    const ns = useNamespace.useNamespace("switch");
    const cssClass = index_jss.default(props);
    const checked = vue.computed({
      get() {
        return props.modelValue;
      },
      set(newVal) {
        emit(events.UPDATE_MODEL_EVENT, newVal);
      }
    });
    return (_ctx, _cache) => {
      return vue.openBlock(), vue.createElementBlock(
        "span",
        {
          class: vue.normalizeClass([vue.unref(ns).b(), checked.value ? vue.unref(ns).m("checked") : "", vue.unref(cssClass)])
        },
        [
          vue.createVNode(vue.unref(index.InIconButton), {
            class: vue.normalizeClass([vue.unref(ns).e("thumb")]),
            color: props.color,
            disabled: _ctx.$attrs.disabled,
            onClick: _cache[0] || (_cache[0] = ($event) => checked.value = !checked.value)
          }, {
            default: vue.withCtx(() => [
              vue.createElementVNode(
                "span",
                {
                  class: vue.normalizeClass([vue.unref(ns).em("thumb", "icon-wrapper")])
                },
                [
                  vue.renderSlot(_ctx.$slots, "default", vue.normalizeProps(vue.guardReactiveProps({ size: 16 })), () => [
                    !props.disabledIcon ? (vue.openBlock(), vue.createBlock(CheckFilled.default, { key: 0 })) : vue.createCommentVNode("v-if", true)
                  ])
                ],
                2
                /* CLASS */
              )
            ]),
            _: 3
            /* FORWARDED */
          }, 8, ["class", "color", "disabled"]),
          vue.createVNode(vue.unref(index$1.InInputBase), vue.mergeProps(_ctx.$attrs, {
            modelValue: checked.value,
            "onUpdate:modelValue": _cache[1] || (_cache[1] = ($event) => checked.value = $event),
            class: [vue.unref(ns).e("input")],
            type: "checkbox",
            internal: ""
          }), null, 16, ["modelValue", "class"])
        ],
        2
        /* CLASS */
      );
    };
  }
});

exports.default = _sfc_main;
//# sourceMappingURL=index.vue2.js.map
