'use strict';

var vue = require('vue');
var createTheme = require('../core/create-theme.js');

"use strict";
const useTheme = (mode) => {
  const theme = vue.inject(
    "ThemeContext",
    () => createTheme.createTheme(void 0, { target: "host", config: { mode } }),
    true
  );
  return theme;
};

exports.useTheme = useTheme;
//# sourceMappingURL=use-theme.js.map
