'use strict';

var shared_esmBundler = require('../../../node_modules/.pnpm/@vue_shared@3.2.47/node_modules/@vue/shared/dist/shared.esm-bundler.js');
require('../../../node_modules/.pnpm/@vueuse_core@9.1.1_vue@3.3.8/node_modules/@vueuse/core/index.js');
require('../javascript/index.js');
var index = require('../../../node_modules/.pnpm/@vueuse_shared@9.1.1_vue@3.3.8/node_modules/@vueuse/shared/index.js');
var check = require('../javascript/check.js');
var error = require('../javascript/error.js');

"use strict";
const SCOPE = "utils/dom/style";
function addUnit(value, defaultUnit = "px") {
  const isNumberType = index.isNumber(value) || check.isStringNumber(value);
  if (!isNumberType && !value) {
    return "";
  }
  if (isNumberType) {
    return `${value}${defaultUnit}`;
  } else if (shared_esmBundler.isString(value)) {
    return value;
  }
  error.debugWarn(SCOPE, "binding value must be a string or number");
  return value;
}

exports.addUnit = addUnit;
//# sourceMappingURL=style.js.map
