'use strict';

var error = require('./error.js');
var check = require('./check.js');
var singleton = require('./singleton.js');
var string = require('./string.js');
var helpers = require('./helpers.js');

"use strict";

exports.debugWarn = error.debugWarn;
exports.isElement = check.isElement;
exports.isEmpty = check.isEmpty;
exports.isPropAbsent = check.isPropAbsent;
exports.isStringNumber = check.isStringNumber;
exports.isUndefined = check.isUndefined;
exports.singleton = singleton.singleton;
exports.toCapitalize = string.toCapitalize;
exports.toKebabCase = string.toKebabCase;
exports.toLowerCamelCase = string.toLowerCamelCase;
exports.toUpperCamelCase = string.toUpperCamelCase;
exports.debounce = helpers.debounce;
exports.off = helpers.off;
exports.on = helpers.on;
exports.throttle = helpers.throttle;
//# sourceMappingURL=index.js.map
