export class InMessageClass {
    static install(app: any): void;
    constructor(props?: {});
    _rendered: boolean;
    _body: HTMLElement;
    _notistack: import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
        [key: string]: any;
    }>;
    _defaultProps: {
        title: string;
        variant: string;
        severity: string;
        icon: boolean;
        customIcon: undefined;
        action: undefined;
        actionEvent: (node: any) => void;
        content: string;
        duration: number;
        transition: string;
        placement: {
            x: string;
            y: string;
        };
    };
    _handleMouseenter: (timer: any) => void;
    _render(): void;
    push(props?: {}): void;
    _pushMessage(props?: {}): void;
    _removeMessage(condition: any): void;
    _startTimer(alertVNode: any, duration: any): NodeJS.Timeout;
    info(props?: {}): void;
    success(props?: {}): void;
    warning(props?: {}): void;
    error(props?: {}): void;
    removeAll(): void;
}
declare var InMessage: any;
export { InMessage as default };
