export { Theme as default };
declare class Theme {
    constructor(schemes: any, palettes: any, mode: string | undefined, lightSchemes: any, darkSchemes: any, target: any);
    colors: {};
    states: {};
    elevations: string[];
    typography: {
        h1: {
            fontFamily: string;
            fontWeight: number;
            fontSize: string;
            fontStyle: string;
            letterSpacing: string;
            lineHeight: string;
            textTransform: string;
        };
        h2: {
            fontFamily: string;
            fontWeight: number;
            fontSize: string;
            fontStyle: string;
            letterSpacing: string;
            lineHeight: string;
            textTransform: string;
        };
        h3: {
            fontFamily: string;
            fontWeight: number;
            fontSize: string;
            fontStyle: string;
            letterSpacing: string;
            lineHeight: string;
            textTransform: string;
        };
        h4: {
            fontFamily: string;
            fontWeight: number;
            fontSize: string;
            fontStyle: string;
            letterSpacing: string;
            lineHeight: string;
            textTransform: string;
        };
        h5: {
            fontFamily: string;
            fontWeight: number;
            fontSize: string;
            fontStyle: string;
            letterSpacing: string;
            lineHeight: string;
            textTransform: string;
        };
        h6: {
            fontFamily: string;
            fontWeight: number;
            fontSize: string;
            fontStyle: string;
            letterSpacing: string;
            lineHeight: string;
            textTransform: string;
        };
        title: {
            small: {
                fontFamily: string;
                fontWeight: number;
                fontSize: string;
                fontStyle: string;
                letterSpacing: string;
                lineHeight: string;
                textTransform: string;
            };
            medium: {
                fontFamily: string;
                fontWeight: number;
                fontSize: string;
                fontStyle: string;
                letterSpacing: string;
                lineHeight: string;
                textTransform: string;
            };
            large: {
                fontFamily: string;
                fontWeight: number;
                fontSize: string;
                fontStyle: string;
                letterSpacing: string;
                lineHeight: string;
                textTransform: string;
            };
        };
        body: {
            small: {
                fontFamily: string;
                fontWeight: number;
                fontSize: string;
                fontStyle: string;
                letterSpacing: string;
                lineHeight: string;
                textTransform: string;
            };
            medium: {
                fontFamily: string;
                fontWeight: number;
                fontSize: string;
                fontStyle: string;
                letterSpacing: string;
                lineHeight: string;
                textTransform: string;
            };
            large: {
                fontFamily: string;
                fontWeight: number;
                fontSize: string;
                fontStyle: string;
                letterSpacing: string;
                lineHeight: string;
                textTransform: string;
            };
        };
        label: {
            small: {
                fontFamily: string;
                fontWeight: number;
                fontSize: string;
                fontStyle: string;
                letterSpacing: string;
                lineHeight: string;
                textTransform: string;
            };
            medium: {
                fontFamily: string;
                fontWeight: number;
                fontSize: string;
                fontStyle: string;
                letterSpacing: string;
                lineHeight: string;
                textTransform: string;
            };
            large: {
                fontFamily: string;
                fontWeight: number;
                fontSize: string;
                fontStyle: string;
                letterSpacing: string;
                lineHeight: string;
                textTransform: string;
            };
        };
        fontFamily: string;
        htmlFontSize: number;
        fontSize: number;
        pxToRem: (size: any) => string;
    };
    zIndex: {};
    motion: {
        create: (attrs: any, option?: {}) => string;
        duration: {
            50: number;
            100: number;
            150: number;
            200: number;
            250: number;
            300: number;
            350: number;
            400: number;
            450: number;
            500: number;
            550: number;
            600: number;
            700: number;
            800: number;
            900: number;
            1000: number;
        };
        timingFunction: {
            "easing-standard": string;
            "easing-linear": string;
            "easing-standard-accelerate": string;
            "easing-standard-decelerate": string;
            "easing-emphasized": string;
        };
    };
    schemes: any;
    mode: string;
    palettes: any;
    _lightSchemes: any;
    _darkSchemes: any;
    target: any;
    toggleMode(): void;
}
