export const __esModule: boolean;
declare const _default: (source?: string, options?: {
    target: string;
}) => import("vue").Ref<{
    colors: any;
    states: any;
    elevations: any[];
    typography: {
        h1: {
            fontFamily: string;
            fontWeight: number;
            fontSize: string;
            fontStyle: string;
            letterSpacing: string;
            lineHeight: string;
            textTransform: string;
        };
        h2: {
            fontFamily: string;
            fontWeight: number;
            fontSize: string;
            fontStyle: string;
            letterSpacing: string;
            lineHeight: string;
            textTransform: string;
        };
        h3: {
            fontFamily: string;
            fontWeight: number;
            fontSize: string;
            fontStyle: string;
            letterSpacing: string;
            lineHeight: string;
            textTransform: string;
        };
        h4: {
            fontFamily: string;
            fontWeight: number;
            fontSize: string;
            fontStyle: string;
            letterSpacing: string;
            lineHeight: string;
            textTransform: string;
        };
        h5: {
            fontFamily: string;
            fontWeight: number;
            fontSize: string;
            fontStyle: string;
            letterSpacing: string;
            lineHeight: string;
            textTransform: string;
        };
        h6: {
            fontFamily: string;
            fontWeight: number;
            fontSize: string;
            fontStyle: string;
            letterSpacing: string;
            lineHeight: string;
            textTransform: string;
        };
        title: {
            small: {
                fontFamily: string;
                fontWeight: number;
                fontSize: string;
                fontStyle: string;
                letterSpacing: string;
                lineHeight: string;
                textTransform: string;
            };
            medium: {
                fontFamily: string;
                fontWeight: number;
                fontSize: string;
                fontStyle: string;
                letterSpacing: string;
                lineHeight: string;
                textTransform: string;
            };
            large: {
                fontFamily: string;
                fontWeight: number;
                fontSize: string;
                fontStyle: string;
                letterSpacing: string;
                lineHeight: string;
                textTransform: string;
            };
        };
        body: {
            small: {
                fontFamily: string;
                fontWeight: number;
                fontSize: string;
                fontStyle: string;
                letterSpacing: string;
                lineHeight: string;
                textTransform: string;
            };
            medium: {
                fontFamily: string;
                fontWeight: number;
                fontSize: string;
                fontStyle: string;
                letterSpacing: string;
                lineHeight: string;
                textTransform: string;
            };
            large: {
                fontFamily: string;
                fontWeight: number;
                fontSize: string;
                fontStyle: string;
                letterSpacing: string;
                lineHeight: string;
                textTransform: string;
            };
        };
        label: {
            small: {
                fontFamily: string;
                fontWeight: number;
                fontSize: string;
                fontStyle: string;
                letterSpacing: string;
                lineHeight: string;
                textTransform: string;
            };
            medium: {
                fontFamily: string;
                fontWeight: number;
                fontSize: string;
                fontStyle: string;
                letterSpacing: string;
                lineHeight: string;
                textTransform: string;
            };
            large: {
                fontFamily: string;
                fontWeight: number;
                fontSize: string;
                fontStyle: string;
                letterSpacing: string;
                lineHeight: string;
                textTransform: string;
            };
        };
        fontFamily: string;
        htmlFontSize: number;
        fontSize: number;
        pxToRem: (size: any) => string;
    };
    zIndex: any;
    motion: {
        create: (attrs: any, option?: {}) => string;
        duration: {
            50: number;
            100: number;
            150: number;
            200: number;
            250: number;
            300: number;
            350: number;
            400: number;
            450: number;
            500: number;
            550: number;
            600: number;
            700: number;
            800: number;
            900: number;
            1000: number;
        };
        timingFunction: {
            "easing-standard": string;
            "easing-linear": string;
            "easing-standard-accelerate": string;
            "easing-standard-decelerate": string;
            "easing-emphasized": string;
        };
    };
    schemes: any;
    mode: string;
    palettes: any;
    _lightSchemes: any;
    _darkSchemes: any;
    target: any;
    toggleMode: () => void;
}>;
export default _default;
export { createTheme, unknown as cache, unknown as css, unknown as cx, unknown as flush, unknown as getRegisteredStyles, unknown as hydrate, unknown as injectGlobal, unknown as keyframes, unknown as merge, unknown as sheet, styled, _default as Theme };
