declare const _default: import("vue").DefineComponent<{
    orientation: {
        type: import("vue").PropType<"horizontal" | "vertical">;
        values: readonly ["horizontal", "vertical"];
        default: string;
    };
    variant: import("@interface-ui/utils").InPropFinalized<(new (...args: any[]) => "text" | "filled" | "outlined") | (() => "text" | "filled" | "outlined") | ((new (...args: any[]) => "text" | "filled" | "outlined") | (() => "text" | "filled" | "outlined"))[], "text" | "filled" | "outlined", unknown, string, boolean>;
    shape: import("@interface-ui/utils").InPropFinalized<(new (...args: any[]) => "square" | "rounded" | "fullRounded") | (() => "square" | "rounded" | "fullRounded") | ((new (...args: any[]) => "square" | "rounded" | "fullRounded") | (() => "square" | "rounded" | "fullRounded"))[], "square" | "rounded" | "fullRounded", unknown, string, boolean>;
    size: import("@interface-ui/utils").InPropFinalized<(new (...args: any[]) => "small" | "medium" | "large") | (() => "small" | "medium" | "large") | ((new (...args: any[]) => "small" | "medium" | "large") | (() => "small" | "medium" | "large"))[], "small" | "medium" | "large", unknown, string, boolean>;
    color: import("@interface-ui/utils").InPropFinalized<(new (...args: any[]) => string | import("@interface-ui/theme").ThemeCallBack) | (() => import("@interface-ui/theme").AcceptableColor) | ((new (...args: any[]) => string | import("@interface-ui/theme").ThemeCallBack) | (() => import("@interface-ui/theme").AcceptableColor))[], unknown, unknown, string, boolean>;
    disableRipple: import("@interface-ui/utils").InPropFinalized<BooleanConstructor, unknown, unknown, boolean, boolean>;
    disableElevation: import("@interface-ui/utils").InPropFinalized<BooleanConstructor, unknown, unknown, boolean, boolean>;
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    orientation: {
        type: import("vue").PropType<"horizontal" | "vertical">;
        values: readonly ["horizontal", "vertical"];
        default: string;
    };
    variant: import("@interface-ui/utils").InPropFinalized<(new (...args: any[]) => "text" | "filled" | "outlined") | (() => "text" | "filled" | "outlined") | ((new (...args: any[]) => "text" | "filled" | "outlined") | (() => "text" | "filled" | "outlined"))[], "text" | "filled" | "outlined", unknown, string, boolean>;
    shape: import("@interface-ui/utils").InPropFinalized<(new (...args: any[]) => "square" | "rounded" | "fullRounded") | (() => "square" | "rounded" | "fullRounded") | ((new (...args: any[]) => "square" | "rounded" | "fullRounded") | (() => "square" | "rounded" | "fullRounded"))[], "square" | "rounded" | "fullRounded", unknown, string, boolean>;
    size: import("@interface-ui/utils").InPropFinalized<(new (...args: any[]) => "small" | "medium" | "large") | (() => "small" | "medium" | "large") | ((new (...args: any[]) => "small" | "medium" | "large") | (() => "small" | "medium" | "large"))[], "small" | "medium" | "large", unknown, string, boolean>;
    color: import("@interface-ui/utils").InPropFinalized<(new (...args: any[]) => string | import("@interface-ui/theme").ThemeCallBack) | (() => import("@interface-ui/theme").AcceptableColor) | ((new (...args: any[]) => string | import("@interface-ui/theme").ThemeCallBack) | (() => import("@interface-ui/theme").AcceptableColor))[], unknown, unknown, string, boolean>;
    disableRipple: import("@interface-ui/utils").InPropFinalized<BooleanConstructor, unknown, unknown, boolean, boolean>;
    disableElevation: import("@interface-ui/utils").InPropFinalized<BooleanConstructor, unknown, unknown, boolean, boolean>;
}>>, {
    variant: import("@interface-ui/utils").InPropMergeType<(new (...args: any[]) => "text" | "filled" | "outlined") | (() => "text" | "filled" | "outlined") | ((new (...args: any[]) => "text" | "filled" | "outlined") | (() => "text" | "filled" | "outlined"))[], "text" | "filled" | "outlined", unknown>;
    color: import("@interface-ui/utils").InPropMergeType<(new (...args: any[]) => string | import("@interface-ui/theme").ThemeCallBack) | (() => import("@interface-ui/theme").AcceptableColor) | ((new (...args: any[]) => string | import("@interface-ui/theme").ThemeCallBack) | (() => import("@interface-ui/theme").AcceptableColor))[], unknown, unknown>;
    size: import("@interface-ui/utils").InPropMergeType<(new (...args: any[]) => "small" | "medium" | "large") | (() => "small" | "medium" | "large") | ((new (...args: any[]) => "small" | "medium" | "large") | (() => "small" | "medium" | "large"))[], "small" | "medium" | "large", unknown>;
    shape: import("@interface-ui/utils").InPropMergeType<(new (...args: any[]) => "square" | "rounded" | "fullRounded") | (() => "square" | "rounded" | "fullRounded") | ((new (...args: any[]) => "square" | "rounded" | "fullRounded") | (() => "square" | "rounded" | "fullRounded"))[], "square" | "rounded" | "fullRounded", unknown>;
    disableRipple: import("@interface-ui/utils").InPropMergeType<BooleanConstructor, unknown, unknown>;
    disableElevation: import("@interface-ui/utils").InPropMergeType<BooleanConstructor, unknown, unknown>;
    orientation: "horizontal" | "vertical";
}, {}>;
export default _default;
