import type { Component, ExtractPropTypes, PropType } from 'vue';
import type { AcceptableColor } from '@interface-ui/theme';
export declare const chipVariants: readonly ["filled", "outlined"];
export type ChipVariants = typeof chipVariants[number];
export declare const chipProps: {
    variant: import("@interface-ui/utils").InPropFinalized<(new (...args: any[]) => "filled" | "outlined") | (() => "filled" | "outlined") | ((new (...args: any[]) => "filled" | "outlined") | (() => "filled" | "outlined"))[], "filled" | "outlined", unknown, string, boolean>;
    color: import("@interface-ui/utils").InPropFinalized<(new (...args: any[]) => string | import("@interface-ui/theme").ThemeCallBack) | (() => AcceptableColor) | ((new (...args: any[]) => string | import("@interface-ui/theme").ThemeCallBack) | (() => AcceptableColor))[], unknown, unknown, string, boolean>;
    component: import("@interface-ui/utils").InPropFinalized<(new (...args: any[]) => (string | Component<any, any, any, import("vue").ComputedOptions, import("vue").MethodOptions>) & {}) | (() => string | Component<any, any, any, import("vue").ComputedOptions, import("vue").MethodOptions>) | ((new (...args: any[]) => (string | Component<any, any, any, import("vue").ComputedOptions, import("vue").MethodOptions>) & {}) | (() => string | Component<any, any, any, import("vue").ComputedOptions, import("vue").MethodOptions>))[], unknown, unknown, string, boolean>;
    clickable: import("@interface-ui/utils").InPropFinalized<BooleanConstructor, unknown, unknown, boolean, boolean>;
    deletable: import("@interface-ui/utils").InPropFinalized<BooleanConstructor, unknown, unknown, boolean, boolean>;
    cs: {
        readonly type: PropType<import("@interface-ui/utils").InPropMergeType<(ObjectConstructor | StringConstructor)[], unknown, unknown>>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
};
export type ChipProps = ExtractPropTypes<typeof chipProps>;
