import type { ExtractPropTypes, PropType } from 'vue';
export declare const dialogVariants: readonly ["basic", "full-screen"];
export type DialogVariants = typeof dialogVariants[number];
export declare const dialogProps: {
    open: import("@interface-ui/utils").InPropFinalized<BooleanConstructor, unknown, unknown, boolean, boolean>;
    backdrop: import("@interface-ui/utils").InPropFinalized<BooleanConstructor, unknown, unknown, boolean, boolean>;
    keepMounted: import("@interface-ui/utils").InPropFinalized<BooleanConstructor, unknown, unknown, boolean, boolean>;
    variant: import("@interface-ui/utils").InPropFinalized<(new (...args: any[]) => "basic" | "full-screen") | (() => "basic" | "full-screen") | ((new (...args: any[]) => "basic" | "full-screen") | (() => "basic" | "full-screen"))[], "basic" | "full-screen", unknown, string, boolean>;
    cs: {
        readonly type: PropType<import("@interface-ui/utils").InPropMergeType<(ObjectConstructor | StringConstructor)[], unknown, unknown>>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
};
export type DialogEmits = {
    close: [];
};
export type DialogProps = ExtractPropTypes<typeof dialogProps>;
