import type { ExtractPropTypes, PropType } from 'vue';
import type { AcceptableColor } from '@interface-ui/theme';
export declare const drawerVariants: readonly ["persistent", "temporary"];
export type DrawerVariants = typeof drawerVariants[number];
export declare const drawerProps: {
    readonly open: never;
    readonly backdrop: import("@interface-ui/utils").InPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
    readonly keepMounted: import("@interface-ui/utils").InPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly variant: import("@interface-ui/utils").InPropFinalized<(new (...args: any[]) => "persistent" | "temporary") | (() => "persistent" | "temporary") | ((new (...args: any[]) => "persistent" | "temporary") | (() => "persistent" | "temporary"))[], "persistent" | "temporary", unknown, "temporary", boolean>;
    readonly background: import("@interface-ui/utils").InPropFinalized<(new (...args: any[]) => string | import("@interface-ui/theme").ThemeCallBack) | (() => AcceptableColor) | ((new (...args: any[]) => string | import("@interface-ui/theme").ThemeCallBack) | (() => AcceptableColor))[], unknown, unknown, "surface", boolean>;
    readonly placement: import("@interface-ui/utils").InPropFinalized<(new (...args: any[]) => "left" | "right" | "top" | "bottom") | (() => "left" | "right" | "top" | "bottom") | ((new (...args: any[]) => "left" | "right" | "top" | "bottom") | (() => "left" | "right" | "top" | "bottom"))[], "left" | "right" | "top" | "bottom", unknown, "right", boolean>;
    readonly cs: {
        readonly type: PropType<import("@interface-ui/utils").InPropMergeType<readonly [ObjectConstructor, StringConstructor], unknown, unknown>>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
};
export type DrawerProps = ExtractPropTypes<typeof drawerProps>;
export type DrawerEmits = {
    close: [];
};
