import type { AcceptableColor } from '@interface-ui/theme';
import type { ExtractPropTypes, PropType } from 'vue';
export declare const iconButtonProps: {
    size: {
        type: PropType<"small" | "medium" | "large">;
        values: readonly ["small", "medium", "large"];
        default: string;
    };
    color: {
        type: PropType<AcceptableColor>;
        default: string;
    };
    cs: {
        type: (ObjectConstructor | StringConstructor)[];
    };
};
export type IconButtonProps = ExtractPropTypes<typeof iconButtonProps>;
