import type { AcceptableColor } from '@interface-ui/theme';
import type { Component, ExtractPropTypes, PropType } from 'vue';
export declare const linkUnderlineStyles: readonly ["none", "hover", "always"];
export type LinkUnderlineStyles = typeof linkUnderlineStyles[number];
export declare const linkProps: {
    underline: {
        type: PropType<"hover" | "none" | "always">;
        values: readonly ["none", "hover", "always"];
        default: string;
    };
    color: {
        type: PropType<AcceptableColor>;
        default: string;
    };
    component: {
        type: PropType<string | Component<any, any, any, import("vue").ComputedOptions, import("vue").MethodOptions>>;
        default: string;
    };
    cs: {
        type: (ObjectConstructor | StringConstructor)[];
    };
};
export type LinkProps = ExtractPropTypes<typeof linkProps>;
