import type { AcceptableColor } from '@interface-ui/theme';
import type { ExtractPropTypes, PropType } from 'vue';
export declare const listItemProps: {
    cs: {
        readonly type: PropType<import("@interface-ui/utils").InPropMergeType<(ObjectConstructor | StringConstructor)[], unknown, unknown>>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
    indent: import("@interface-ui/utils").InPropFinalized<(NumberConstructor | StringConstructor)[], unknown, unknown, number, boolean>;
    selectable: import("@interface-ui/utils").InPropFinalized<BooleanConstructor, unknown, unknown, boolean, boolean>;
    alignItems: import("@interface-ui/utils").InPropFinalized<(new (...args: any[]) => "center" | "flex-start" | "flex-end" | "stretch" | "baseline") | (() => "center" | "flex-start" | "flex-end" | "stretch" | "baseline") | ((new (...args: any[]) => "center" | "flex-start" | "flex-end" | "stretch" | "baseline") | (() => "center" | "flex-start" | "flex-end" | "stretch" | "baseline"))[], "center" | "flex-start" | "flex-end" | "stretch" | "baseline", unknown, string, boolean>;
    highlight: import("@interface-ui/utils").InPropFinalized<BooleanConstructor, unknown, unknown, boolean, boolean>;
    highlightColor: import("@interface-ui/utils").InPropFinalized<(new (...args: any[]) => string | import("@interface-ui/theme").ThemeCallBack) | (() => AcceptableColor) | ((new (...args: any[]) => string | import("@interface-ui/theme").ThemeCallBack) | (() => AcceptableColor))[], unknown, unknown, string, boolean>;
};
export type ListItemProps = ExtractPropTypes<typeof listItemProps>;
