import type { AcceptableColor } from '@interface-ui/theme';
import type { Component, ExtractPropTypes, PropType } from 'vue';
export declare const listAlignItems: readonly ["flex-start", "center", "flex-end", "stretch", "baseline"];
export type ListAlignItems = typeof listAlignItems[number];
export declare const listProps: {
    component: import("@interface-ui/utils").InPropFinalized<(new (...args: any[]) => (string | Component<any, any, any, import("vue").ComputedOptions, import("vue").MethodOptions>) & {}) | (() => string | Component<any, any, any, import("vue").ComputedOptions, import("vue").MethodOptions>) | ((new (...args: any[]) => (string | Component<any, any, any, import("vue").ComputedOptions, import("vue").MethodOptions>) & {}) | (() => string | Component<any, any, any, import("vue").ComputedOptions, import("vue").MethodOptions>))[], unknown, unknown, string, boolean>;
    background: import("@interface-ui/utils").InPropFinalized<(new (...args: any[]) => string | import("@interface-ui/theme").ThemeCallBack) | (() => AcceptableColor) | ((new (...args: any[]) => string | import("@interface-ui/theme").ThemeCallBack) | (() => AcceptableColor))[], unknown, unknown, string, boolean>;
    level: import("@interface-ui/utils").InPropFinalized<(NumberConstructor | StringConstructor)[], unknown, unknown, number, boolean>;
    sublist: import("@interface-ui/utils").InPropFinalized<BooleanConstructor, unknown, unknown, boolean, boolean>;
    selectable: import("@interface-ui/utils").InPropFinalized<BooleanConstructor, unknown, unknown, boolean, boolean>;
    alignItems: import("@interface-ui/utils").InPropFinalized<(new (...args: any[]) => "center" | "flex-start" | "flex-end" | "stretch" | "baseline") | (() => "center" | "flex-start" | "flex-end" | "stretch" | "baseline") | ((new (...args: any[]) => "center" | "flex-start" | "flex-end" | "stretch" | "baseline") | (() => "center" | "flex-start" | "flex-end" | "stretch" | "baseline"))[], "center" | "flex-start" | "flex-end" | "stretch" | "baseline", unknown, string, boolean>;
    highlightColor: import("@interface-ui/utils").InPropFinalized<(new (...args: any[]) => string | import("@interface-ui/theme").ThemeCallBack) | (() => AcceptableColor) | ((new (...args: any[]) => string | import("@interface-ui/theme").ThemeCallBack) | (() => AcceptableColor))[], unknown, unknown, string, boolean>;
    disablePadding: import("@interface-ui/utils").InPropFinalized<BooleanConstructor, unknown, unknown, boolean, boolean>;
    cs: {
        readonly type: PropType<import("@interface-ui/utils").InPropMergeType<(ObjectConstructor | StringConstructor)[], unknown, unknown>>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
};
export type ListProps = ExtractPropTypes<typeof listProps>;
