import type { Component, ExtractPropTypes, PropType, VNode } from 'vue';
declare const messageXPlacements: readonly ["left", "center", "right"];
declare const messageYPlacements: readonly ["top", "bottom"];
export interface MessagePlacements {
    x: typeof messageXPlacements[number];
    y: typeof messageYPlacements[number];
}
export declare const messageProps: {
    title: {
        readonly type: PropType<string>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
    content: {
        readonly type: PropType<string>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
    customIcon: {
        readonly type: PropType<import("@interface-ui/utils").InPropMergeType<(new (...args: any[]) => Component<any, any, any, import("vue").ComputedOptions, import("vue").MethodOptions> & {}) | (() => Component<any, any, any, import("vue").ComputedOptions, import("vue").MethodOptions>) | ((new (...args: any[]) => Component<any, any, any, import("vue").ComputedOptions, import("vue").MethodOptions> & {}) | (() => Component<any, any, any, import("vue").ComputedOptions, import("vue").MethodOptions>))[], unknown, unknown>>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
    action: {
        readonly type: PropType<import("@interface-ui/utils").InPropMergeType<(new (...args: any[]) => (VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }> | Component<any, any, any, import("vue").ComputedOptions, import("vue").MethodOptions>) & {}) | (() => VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }> | Component<any, any, any, import("vue").ComputedOptions, import("vue").MethodOptions>) | ((new (...args: any[]) => (VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }> | Component<any, any, any, import("vue").ComputedOptions, import("vue").MethodOptions>) & {}) | (() => VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }> | Component<any, any, any, import("vue").ComputedOptions, import("vue").MethodOptions>))[], unknown, unknown>>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
    actionEvent: import("@interface-ui/utils").InPropFinalized<(new (...args: any[]) => (e: VNode, remove: (c: string | number) => void) => void) | (() => (e: VNode, remove: (c: string | number) => void) => void) | {
        (): (e: VNode, remove: (c: string | number) => void) => void;
        new (): any;
        readonly prototype: any;
    } | ((new (...args: any[]) => (e: VNode, remove: (c: string | number) => void) => void) | (() => (e: VNode, remove: (c: string | number) => void) => void) | {
        (): (e: VNode, remove: (c: string | number) => void) => void;
        new (): any;
        readonly prototype: any;
    })[], unknown, unknown, (_e: VNode, _remove: (c: string | number) => void) => void, boolean>;
    duration: import("@interface-ui/utils").InPropFinalized<NumberConstructor, unknown, unknown, number, boolean>;
    transition: import("@interface-ui/utils").InPropFinalized<StringConstructor, unknown, unknown, string, boolean>;
    placement: import("@interface-ui/utils").InPropFinalized<(new (...args: any[]) => Partial<MessagePlacements>) | (() => Partial<MessagePlacements>) | ((new (...args: any[]) => Partial<MessagePlacements>) | (() => Partial<MessagePlacements>))[], unknown, unknown, () => {
        x: string;
        y: string;
    }, boolean>;
    variant: import("@interface-ui/utils").InPropFinalized<(new (...args: any[]) => "filled" | "outlined") | (() => "filled" | "outlined") | ((new (...args: any[]) => "filled" | "outlined") | (() => "filled" | "outlined"))[], "filled" | "outlined", unknown, string, boolean>;
    severity: import("@interface-ui/utils").InPropFinalized<(new (...args: any[]) => "error" | "success" | "info" | "warning") | (() => "error" | "success" | "info" | "warning") | ((new (...args: any[]) => "error" | "success" | "info" | "warning") | (() => "error" | "success" | "info" | "warning"))[], "error" | "success" | "info" | "warning", unknown, string, boolean>;
    icon: import("@interface-ui/utils").InPropFinalized<BooleanConstructor, unknown, unknown, boolean, boolean>;
};
export type MessageProps = ExtractPropTypes<typeof messageProps>;
export {};
