/**
 * Capitalize the first letter of a string
 *
 * @param {string} str - The string to capitalize
 * @return {string} The capitalized string
 */
export declare const toCapitalize: (str: string) => string;
/**
 * Convert camelCase to kebab-case
 *
 * @param {string} str - The string to convert
 * @return {string} The converted string
 */
export declare const toKebabCase: (str: string) => string;
/**
 * Convert kebab-case to lower camelCase
 *
 * @param {string} str - The string to convert
 * @return {string} The converted string
 */
export declare const toLowerCamelCase: (str: string) => string;
/**
 * Convert kebab-case to upper camelCase
 *
 * @param {string} str - The string to convert
 * @return {string} The converted string
 */
export declare const toUpperCamelCase: (str: string) => string;
