import { type Ref } from 'vue';
type Refs<T extends object> = {
    [K in keyof T]: Ref<T[K]>;
};
type UnRefs = <T extends object>(object: Refs<T>) => T;
export declare const unRefs: UnRefs;
export {};
