import '../../../../utils/index.mjs';
import '../../avatar/index.mjs';
import { avatarProps } from '../../avatar/src/avatar.mjs';
import { buildProps } from '../../../../utils/src/vue/props/runtime.mjs';

"use strict";
const avatarGroupProps = buildProps({
  ...avatarProps,
  max: {
    type: [String, Number]
  },
  avatarBorder: {
    type: String,
    default: "var(--md-sys-color-background)"
  }
});

export { avatarGroupProps };
//# sourceMappingURL=avatar-group.mjs.map
