import { defineComponent, useAttrs, openBlock, unref, normalizeClass, createCommentVNode, guardReactiveProps, normalizeProps, createElementVNode, renderSlot, createElementBlock } from 'vue';
import '../../../../utils/index.mjs';
import { avatarProps } from './avatar.mjs';
import useCss from './index.jss.mjs';
import { useNamespace } from '../../../../utils/src/dom/use-namespace.mjs';

"use strict";
const __default__ = defineComponent({
  inheritAttrs: false
});
var _sfc_main = /* @__PURE__ */ defineComponent({
  ...__default__,
  __name: "index",
  props: avatarProps,
  setup(__props) {
    const props = __props;
    const ns = useNamespace("avatar");
    const cssClass = useCss(props);
    const { class: classAttr, ...restAttrs } = useAttrs();
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock(
        "div",
        {
          class: normalizeClass([unref(classAttr), unref(ns).b(), unref(ns).m(props.variant), unref(cssClass)])
        },
        [
          renderSlot(_ctx.$slots, "default", {}, () => [
            createCommentVNode(" eslint-disable-next-line vue/html-self-closing "),
            createElementVNode(
              "img",
              normalizeProps(guardReactiveProps(restAttrs)),
              null,
              16
              /* FULL_PROPS */
            )
          ])
        ],
        2
        /* CLASS */
      );
    };
  }
});

export { _sfc_main as default };
//# sourceMappingURL=index.vue2.mjs.map
