import '../../../../utils/index.mjs';
import '../../link/index.mjs';
import { linkUnderlineStyles } from '../../link/src/link.mjs';
import { buildProps } from '../../../../utils/src/vue/props/runtime.mjs';

"use strict";
const breadcrumbProps = buildProps({
  underline: {
    type: String,
    values: linkUnderlineStyles,
    default: "hover"
  },
  color: {
    type: [String, Function],
    default: "onSurface"
  },
  separator: {
    type: [String, Object],
    default: "/"
  },
  max: {
    type: [String, Number]
  },
  cs: {
    type: [Object, String]
  }
});

export { breadcrumbProps };
//# sourceMappingURL=breadcrumb.mjs.map
