import { openBlock, resolveDynamicComponent, unref, normalizeClass, renderSlot, withCtx, createBlock, defineComponent } from 'vue';
import '../../../../utils/index.mjs';
import { buttonBaseProps } from './button-base.mjs';
import useCss from './index.jss.mjs';
import { useNamespace } from '../../../../utils/src/dom/use-namespace.mjs';

"use strict";
var _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "index",
  props: buttonBaseProps,
  setup(__props) {
    const props = __props;
    const ns = useNamespace("button-base");
    const cssClass = useCss(props);
    return (_ctx, _cache) => {
      return openBlock(), createBlock(resolveDynamicComponent(_ctx.$props.component), {
        class: normalizeClass([unref(ns).b(), unref(cssClass)])
      }, {
        default: withCtx(() => [
          renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
        /* FORWARDED */
      }, 8, ["class"]);
    };
  }
});

export { _sfc_main as default };
//# sourceMappingURL=index.vue2.mjs.map
