import '../../../../utils/index.mjs';
import { buildProps } from '../../../../utils/src/vue/props/runtime.mjs';

"use strict";
const cardMediaShapes = ["rounded", "square"];
const cardMediaProps = buildProps({
  cs: {
    type: [Object, String]
  },
  shape: {
    type: String,
    values: cardMediaShapes,
    default: "square"
  },
  component: {
    type: [String, Object],
    default: "img"
  },
  gutter: {
    type: Boolean,
    default: false
  }
});

export { cardMediaProps, cardMediaShapes };
//# sourceMappingURL=card-media.mjs.map
