import '../../../../utils/index.mjs';
import { buildProps } from '../../../../utils/src/vue/props/runtime.mjs';

"use strict";
const chipVariants = ["filled", "outlined"];
const chipProps = buildProps({
  variant: {
    type: String,
    values: chipVariants,
    default: "filled"
  },
  color: {
    type: [String, Function],
    default: "surfaceContainerLow"
  },
  component: {
    type: [String, Object],
    default: "span"
  },
  clickable: {
    type: Boolean,
    default: false
  },
  deletable: {
    type: Boolean,
    default: false
  },
  cs: {
    type: [Object, String]
  }
});

export { chipProps, chipVariants };
//# sourceMappingURL=chip.mjs.map
