import { openBlock, unref, normalizeClass, renderSlot, createElementBlock, defineComponent } from 'vue';
import '../../../../utils/index.mjs';
import { dialogContentProps } from './dialog-content.mjs';
import useCss from './index.jss.mjs';
import { useNamespace } from '../../../../utils/src/dom/use-namespace.mjs';

"use strict";
var _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "index",
  props: dialogContentProps,
  setup(__props) {
    const props = __props;
    const ns = useNamespace("dialog-content");
    const cssClass = useCss(props);
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock(
        "div",
        {
          class: normalizeClass([unref(ns).b(), unref(cssClass)])
        },
        [
          renderSlot(_ctx.$slots, "default")
        ],
        2
        /* CLASS */
      );
    };
  }
});

export { _sfc_main as default };
//# sourceMappingURL=index.vue2.mjs.map
