import '../../../../utils/index.mjs';
import { buildProps } from '../../../../utils/src/vue/props/runtime.mjs';

"use strict";
const dialogVariants = ["basic", "full-screen"];
const dialogProps = buildProps({
  open: {
    type: Boolean,
    required: true,
    default: false
  },
  backdrop: {
    type: Boolean,
    default: true
  },
  keepMounted: {
    type: Boolean,
    default: false
  },
  variant: {
    type: String,
    values: dialogVariants,
    default: "basic"
  },
  cs: {
    type: [Object, String]
  }
});

export { dialogProps, dialogVariants };
//# sourceMappingURL=dialog.mjs.map
