import { computed } from 'vue';
import '../../../../theme/index.mjs';
import { useColor } from '../../../../theme/src/hooks/use-color.mjs';
import { css } from '../../../../node_modules/.pnpm/@emotion_css@11.11.2/node_modules/@emotion/css/dist/emotion-css.esm.mjs';

"use strict";
const useCss = (props) => computed(() => {
  const [$color, $onColor] = useColor(props, "color");
  return css`
      --in-fba-color: ${$color.value};
      --in-fba-on-color: ${$onColor.value};
    `;
});

export { useCss as default };
//# sourceMappingURL=index.jss.mjs.map
