import { openBlock, unref, normalizeClass, renderSlot, createVNode, withCtx, createBlock, defineComponent } from 'vue';
import '../../../../utils/index.mjs';
import { InButtonBase } from '../../button-base/index.mjs';
import { InRipple } from '../../ripple/index.mjs';
import { fbaProps } from './fba.mjs';
import useCss from './index.jss.mjs';
import { useNamespace } from '../../../../utils/src/dom/use-namespace.mjs';

"use strict";
var _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "index",
  props: fbaProps,
  setup(__props) {
    const props = __props;
    const ns = useNamespace("fba");
    const cssClass = useCss(props);
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(InButtonBase), {
        class: normalizeClass([unref(ns).b(), unref(ns).m(_ctx.$props.size), `title-${_ctx.$props.size}`, unref(cssClass)])
      }, {
        default: withCtx(() => [
          renderSlot(_ctx.$slots, "default"),
          createVNode(unref(InRipple), { color: "var(--in-sys-color-switch-reverse)" })
        ]),
        _: 3
        /* FORWARDED */
      }, 8, ["class"]);
    };
  }
});

export { _sfc_main as default };
//# sourceMappingURL=index.vue2.mjs.map
