import '../../../../constants/index.mjs';
import { componentDirections } from '../../../../constants/src/directions.mjs';

"use strict";
const formLabelProps = {
  label: {
    type: String,
    required: true
  },
  control: {
    required: true
  },
  labelPlacement: {
    type: String,
    values: componentDirections,
    default: "right"
  }
};

export { formLabelProps };
//# sourceMappingURL=form-label.mjs.map
