import { computed } from 'vue';
import '../../../../theme/index.mjs';
import { css, cx } from '../../../../node_modules/.pnpm/@emotion_css@11.11.2/node_modules/@emotion/css/dist/emotion-css.esm.mjs';

"use strict";
const useCss = (props) => computed(() => {
  const listItemHeaderStyle = css`
      padding: 12px 16px 12px ${16 + +props.indent * 24}px;
    `;
  const styleFromCs = props.cs ? css(props.cs) : "";
  return cx(listItemHeaderStyle, styleFromCs);
});

export { useCss as default };
//# sourceMappingURL=index.jss.mjs.map
