import '../../../../utils/index.mjs';
import '../../list/index.mjs';
import { listAlignItems } from '../../list/src/list.mjs';
import { buildProps } from '../../../../utils/src/vue/props/runtime.mjs';

"use strict";
const listItemProps = buildProps({
  cs: {
    type: [Object, String]
  },
  indent: {
    type: [Number, String],
    default: 0
  },
  selectable: {
    type: Boolean,
    default: true
  },
  alignItems: {
    type: String,
    values: listAlignItems,
    default: "center"
  },
  highlight: {
    type: Boolean,
    default: false
  },
  highlightColor: {
    type: [String, Function],
    default: "secondaryContainer"
  }
});

export { listItemProps };
//# sourceMappingURL=list-item.mjs.map
