import { openBlock, unref, normalizeClass, renderSlot, withCtx, createVNode, createBlock, defineComponent } from 'vue';
import '../../../../utils/index.mjs';
import { InPopover } from '../../popover/index.mjs';
import { InList } from '../../list/index.mjs';
import { useNamespace } from '../../../../utils/src/dom/use-namespace.mjs';

"use strict";
var _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "index",
  setup(__props) {
    const ns = useNamespace("menu");
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(InPopover), {
        class: normalizeClass([unref(ns).b()])
      }, {
        default: withCtx(() => [
          createVNode(unref(InList), { background: "surfaceContainer" }, {
            default: withCtx(() => [
              renderSlot(_ctx.$slots, "default")
            ]),
            _: 3
            /* FORWARDED */
          })
        ]),
        _: 3
        /* FORWARDED */
      }, 8, ["class"]);
    };
  }
});

export { _sfc_main as default };
//# sourceMappingURL=index.vue2.mjs.map
