import '../../../../utils/index.mjs';
import { buildProps } from '../../../../utils/src/vue/props/runtime.mjs';

"use strict";
const modalProps = buildProps({
  modelValue: {
    type: Boolean,
    required: true,
    default: true
  },
  backdrop: {
    type: Boolean,
    default: true
  },
  keepMounted: {
    type: Boolean,
    default: false
  },
  cs: {
    type: [Object, String]
  }
});

export { modalProps };
//# sourceMappingURL=modal.mjs.map
