import { computed, openBlock, unref, normalizeClass, normalizeStyle, createElementVNode, createElementBlock, defineComponent } from 'vue';
import '../../../../../utils/index.mjs';
import { progressCircleSvgProps } from './props.mjs';
import { useNamespace } from '../../../../../utils/src/dom/use-namespace.mjs';

"use strict";
var _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "linear",
  props: progressCircleSvgProps,
  setup(__props) {
    const props = __props;
    const ns = useNamespace("progress");
    const style = computed(
      () => props.status === "determinate" ? {
        width: `${props.value ?? 0}%`
      } : {}
    );
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock(
        "span",
        {
          class: normalizeClass([unref(ns).e("linear"), unref(ns).em("linear", "track"), unref(ns).m(_ctx.$props.status)])
        },
        [
          createElementVNode(
            "span",
            {
              class: normalizeClass([unref(ns).em("linear", "indicator")]),
              style: normalizeStyle(style.value)
            },
            null,
            6
            /* CLASS, STYLE */
          )
        ],
        2
        /* CLASS */
      );
    };
  }
});

export { _sfc_main as default };
//# sourceMappingURL=linear.vue2.mjs.map
