import '../../../../../utils/index.mjs';
import { progressStatus } from '../progress.mjs';
import { buildProps } from '../../../../../utils/src/vue/props/runtime.mjs';

"use strict";
const progressCircleSvgProps = buildProps({
  radius: {
    type: Number
  },
  status: {
    type: String,
    values: progressStatus,
    required: true
  },
  value: {
    type: [Number, String]
  }
});

export { progressCircleSvgProps };
//# sourceMappingURL=props.mjs.map
