import '../../../../constants/index.mjs';
import { componentSizes } from '../../../../constants/src/size.mjs';

"use strict";
const radioProps = {
  modelValue: {
    type: [String, Number, Boolean],
    required: true
  },
  size: {
    type: String,
    value: componentSizes,
    default: "medium"
  },
  color: {
    type: [String, Function],
    default: "primary"
  }
};

export { radioProps };
//# sourceMappingURL=radio.mjs.map
