import '../../../../utils/index.mjs';
import { buildProps } from '../../../../utils/src/vue/props/runtime.mjs';

"use strict";
const rippleProps = buildProps({
  color: {
    type: [String, Function],
    default: "inverseOnSurface"
  },
  center: {
    type: Boolean,
    default: false
  },
  duration: {
    type: Number,
    default: 600
  }
});

export { rippleProps };
//# sourceMappingURL=ripple.mjs.map
