import elevationCSS from '@interface-ui/theme/styles/elevation.less?inline';

"use strict";
const match = elevationCSS.replace(/\n/g, "").replace(/;/g, ";\n").matchAll(/--\b(md|in)\b-sys-elevation-level-([0-9]+): (.+);/g);
const elevations = [...match].map((item) => {
  const [_, _source, _level, value] = item;
  return value.replace(/,\s+/g, ", ");
});

export { elevations as default };
//# sourceMappingURL=elevation.mjs.map
