import { inject } from 'vue';
import { createTheme } from '../core/create-theme.mjs';

"use strict";
const useTheme = (mode) => {
  const theme = inject(
    "ThemeContext",
    () => createTheme(void 0, { target: "host", config: { mode } }),
    true
  );
  return theme;
};

export { useTheme };
//# sourceMappingURL=use-theme.mjs.map
