import { isString } from '../../../node_modules/.pnpm/@vue_shared@3.2.47/node_modules/@vue/shared/dist/shared.esm-bundler.mjs';
import '../../../node_modules/.pnpm/@vueuse_core@9.1.1_vue@3.3.8/node_modules/@vueuse/core/index.mjs';
import '../javascript/index.mjs';
import { isNumber } from '../../../node_modules/.pnpm/@vueuse_shared@9.1.1_vue@3.3.8/node_modules/@vueuse/shared/index.mjs';
import { isStringNumber } from '../javascript/check.mjs';
import { debugWarn } from '../javascript/error.mjs';

"use strict";
const SCOPE = "utils/dom/style";
function addUnit(value, defaultUnit = "px") {
  const isNumberType = isNumber(value) || isStringNumber(value);
  if (!isNumberType && !value) {
    return "";
  }
  if (isNumberType) {
    return `${value}${defaultUnit}`;
  } else if (isString(value)) {
    return value;
  }
  debugWarn(SCOPE, "binding value must be a string or number");
  return value;
}

export { addUnit };
//# sourceMappingURL=style.mjs.map
