'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var vue = require('vue');
require('../../../../utils/index.js');
var index = require('../../ripple/index.js');
var actionArea = require('./action-area.js');
var index_jss = require('./index.jss.js');
var useNamespace = require('../../../../utils/src/dom/use-namespace.js');

"use strict";
var _sfc_main = /* @__PURE__ */ vue.defineComponent({
  __name: "index",
  props: actionArea.actionAreaProps,
  setup(__props) {
    const props = __props;
    const ns = useNamespace.useNamespace("action-area");
    const cssClass = index_jss.default(props);
    return (_ctx, _cache) => {
      return vue.openBlock(), vue.createBlock(vue.resolveDynamicComponent(_ctx.$props.component), {
        class: vue.normalizeClass([vue.unref(ns).b(), _ctx.$props.disabled ? vue.unref(ns).m("disabled") : "", vue.unref(cssClass)])
      }, {
        default: vue.withCtx(() => [
          vue.renderSlot(_ctx.$slots, "default"),
          !_ctx.$props.disabled ? (vue.openBlock(), vue.createBlock(vue.unref(index.InRipple), {
            key: 0,
            color: "onSurface"
          })) : vue.createCommentVNode("v-if", true)
        ]),
        _: 3
        /* FORWARDED */
      }, 8, ["class"]);
    };
  }
});

exports.default = _sfc_main;
//# sourceMappingURL=index.vue2.js.map
