'use strict';

require('../../../../utils/index.js');
var shared_esmBundler = require('../../../../node_modules/.pnpm/@vue_shared@3.2.47/node_modules/@vue/shared/dist/shared.esm-bundler.js');
require('../../../../node_modules/.pnpm/@vueuse_core@9.1.1_vue@3.3.8/node_modules/@vueuse/core/index.js');
var index = require('../../../../node_modules/.pnpm/@vueuse_shared@9.1.1_vue@3.3.8/node_modules/@vueuse/shared/index.js');
var runtime = require('../../../../utils/src/vue/props/runtime.js');

"use strict";
const avatarVariants = ["circle", "square", "rounded"];
const avatarProps = runtime.buildProps({
  size: {
    type: [String, Number],
    default: 40,
    validator: (val) => {
      return index.isNumber(val) || shared_esmBundler.isString(val) && !isNaN(parseFloat(val));
    }
  },
  variant: {
    type: String,
    values: avatarVariants,
    default: "circle"
  },
  color: {
    type: [String, Function],
    default: "onSurface"
  },
  background: {
    type: [String, Function],
    default: "surfaceVariant"
  },
  cs: {
    type: [Object, String]
  }
});

exports.avatarProps = avatarProps;
exports.avatarVariants = avatarVariants;
//# sourceMappingURL=avatar.js.map
