'use strict';

require('../../../../utils/index.js');
var runtime = require('../../../../utils/src/vue/props/runtime.js');

"use strict";
const badgeVariants = ["dot", "content"];
const badgeProps = runtime.buildProps({
  content: {
    type: [String, Number, Object]
  },
  variant: {
    type: String,
    values: badgeVariants,
    default: "content"
  },
  color: {
    type: [String, Function],
    default: "error"
  },
  max: {
    type: [String, Number]
  },
  overlap: {
    type: Boolean,
    default: false
  },
  xAlign: {
    type: String,
    values: ["left", "right"],
    default: "right"
  },
  yAlign: {
    type: String,
    values: ["top", "bottom"],
    default: "top"
  }
});

exports.badgeProps = badgeProps;
exports.badgeVariants = badgeVariants;
//# sourceMappingURL=badge.js.map
