'use strict';

require('../../../../utils/index.js');
require('../../link/index.js');
var link = require('../../link/src/link.js');
var runtime = require('../../../../utils/src/vue/props/runtime.js');

"use strict";
const breadcrumbProps = runtime.buildProps({
  underline: {
    type: String,
    values: link.linkUnderlineStyles,
    default: "hover"
  },
  color: {
    type: [String, Function],
    default: "onSurface"
  },
  separator: {
    type: [String, Object],
    default: "/"
  },
  max: {
    type: [String, Number]
  },
  cs: {
    type: [Object, String]
  }
});

exports.breadcrumbProps = breadcrumbProps;
//# sourceMappingURL=breadcrumb.js.map
