'use strict';

require('../../../../utils/index.js');
var runtime = require('../../../../utils/src/vue/props/runtime.js');

"use strict";
const cardMediaShapes = ["rounded", "square"];
const cardMediaProps = runtime.buildProps({
  cs: {
    type: [Object, String]
  },
  shape: {
    type: String,
    values: cardMediaShapes,
    default: "square"
  },
  component: {
    type: [String, Object],
    default: "img"
  },
  gutter: {
    type: Boolean,
    default: false
  }
});

exports.cardMediaProps = cardMediaProps;
exports.cardMediaShapes = cardMediaShapes;
//# sourceMappingURL=card-media.js.map
