'use strict';

require('../../../../utils/index.js');
var runtime = require('../../../../utils/src/vue/props/runtime.js');

"use strict";
const chipVariants = ["filled", "outlined"];
const chipProps = runtime.buildProps({
  variant: {
    type: String,
    values: chipVariants,
    default: "filled"
  },
  color: {
    type: [String, Function],
    default: "surfaceContainerLow"
  },
  component: {
    type: [String, Object],
    default: "span"
  },
  clickable: {
    type: Boolean,
    default: false
  },
  deletable: {
    type: Boolean,
    default: false
  },
  cs: {
    type: [Object, String]
  }
});

exports.chipProps = chipProps;
exports.chipVariants = chipVariants;
//# sourceMappingURL=chip.js.map
