'use strict';

require('../../../../constants/index.js');
require('../../../../utils/index.js');
var size = require('../../../../constants/src/size.js');
var runtime = require('../../../../utils/src/vue/props/runtime.js');

"use strict";
const fbaVariants = ["circle", "extended"];
const fbaProps = runtime.buildProps({
  size: {
    type: String,
    values: size.componentSizes,
    default: "medium"
  },
  color: {
    type: [String, Function],
    default: "primaryContainer"
  }
});

exports.fbaProps = fbaProps;
exports.fbaVariants = fbaVariants;
//# sourceMappingURL=fba.js.map
