'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var vue = require('vue');
require('../../../../utils/index.js');
var index = require('../../button-base/index.js');
var index$1 = require('../../ripple/index.js');
var fba = require('./fba.js');
var index_jss = require('./index.jss.js');
var useNamespace = require('../../../../utils/src/dom/use-namespace.js');

"use strict";
var _sfc_main = /* @__PURE__ */ vue.defineComponent({
  __name: "index",
  props: fba.fbaProps,
  setup(__props) {
    const props = __props;
    const ns = useNamespace.useNamespace("fba");
    const cssClass = index_jss.default(props);
    return (_ctx, _cache) => {
      return vue.openBlock(), vue.createBlock(vue.unref(index.InButtonBase), {
        class: vue.normalizeClass([vue.unref(ns).b(), vue.unref(ns).m(_ctx.$props.size), `title-${_ctx.$props.size}`, vue.unref(cssClass)])
      }, {
        default: vue.withCtx(() => [
          vue.renderSlot(_ctx.$slots, "default"),
          vue.createVNode(vue.unref(index$1.InRipple), { color: "var(--in-sys-color-switch-reverse)" })
        ]),
        _: 3
        /* FORWARDED */
      }, 8, ["class"]);
    };
  }
});

exports.default = _sfc_main;
//# sourceMappingURL=index.vue2.js.map
