'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var vue = require('vue');
var index = require('../../typography/index.js');
var headlineText = require('./headline-text.js');

"use strict";
var _sfc_main = /* @__PURE__ */ vue.defineComponent({
  ...{ inheritAttrs: false },
  __name: "index",
  props: headlineText.headlineTextProps,
  setup(__props) {
    return (_ctx, _cache) => {
      return vue.openBlock(), vue.createElementBlock(
        vue.Fragment,
        null,
        [
          vue.createVNode(vue.unref(index.InTypography), {
            component: "h1",
            variant: "body.large",
            color: "inherit"
          }, {
            default: vue.withCtx(() => [
              vue.createTextVNode(
                vue.toDisplayString(_ctx.$props.headline),
                1
                /* TEXT */
              )
            ]),
            _: 1
            /* STABLE */
          }),
          _ctx.$props.supportingText ? (vue.openBlock(), vue.createBlock(vue.unref(index.InTypography), {
            key: 0,
            component: "p",
            variant: "body.medium",
            color: "onSurfaceVariant",
            cs: "opacity: 0.8;"
          }, {
            default: vue.withCtx(() => [
              vue.createTextVNode(
                vue.toDisplayString(_ctx.$props.supportingText),
                1
                /* TEXT */
              )
            ]),
            _: 1
            /* STABLE */
          })) : vue.createCommentVNode("v-if", true)
        ],
        64
        /* STABLE_FRAGMENT */
      );
    };
  }
});

exports.default = _sfc_main;
//# sourceMappingURL=index.vue2.js.map
