'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var vue = require('vue');
require('../../../../utils/index.js');
var inputBase = require('./input-base.js');
var index_jss = require('./index.jss.js');
var useNamespace = require('../../../../utils/src/dom/use-namespace.js');

"use strict";
const _hoisted_1 = ["type"];
var _sfc_main = /* @__PURE__ */ vue.defineComponent({
  __name: "index",
  props: inputBase.inputBaseProps,
  emits: ["update:modelValue"],
  setup(__props, { emit: __emit }) {
    const props = __props;
    const emit = __emit;
    const ns = useNamespace.useNamespace("input-base");
    const cssClass = index_jss.default(props);
    const value = vue.computed({
      get() {
        return props.modelValue;
      },
      set(newVal) {
        emit("update:modelValue", newVal);
      }
    });
    return (_ctx, _cache) => {
      return vue.withDirectives((vue.openBlock(), vue.createElementBlock("input", {
        "onUpdate:modelValue": _cache[0] || (_cache[0] = ($event) => value.value = $event),
        type: _ctx.$props.type,
        class: vue.normalizeClass([vue.unref(ns).b(), vue.unref(cssClass)])
      }, null, 10, _hoisted_1)), [
        [vue.vModelDynamic, value.value]
      ]);
    };
  }
});

exports.default = _sfc_main;
//# sourceMappingURL=index.vue2.js.map
