'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var vue = require('vue');
require('../../../../constants/index.js');
require('../../../../utils/index.js');
var index$1 = require('../../typography/index.js');
var index = require('../../action-area/index.js');
var listItem = require('./list-item.js');
var index_jss = require('./index.jss.js');
var useNamespace = require('../../../../utils/src/dom/use-namespace.js');
var size = require('../../../../constants/src/size.js');

"use strict";
var _sfc_main = /* @__PURE__ */ vue.defineComponent({
  __name: "index",
  props: listItem.listItemProps,
  setup(__props) {
    const props = __props;
    const ns = useNamespace.useNamespace("list-item");
    const cssClass = index_jss.default(props);
    const leadingBind = {
      icon: {
        class: [ns.m("leading"), ns.m("icon")],
        size: size.iconSize.medium,
        color: "inherit"
      },
      avatar: {
        class: [ns.m("leading"), ns.m("avatar")]
      }
    };
    return (_ctx, _cache) => {
      return vue.openBlock(), vue.createBlock(vue.resolveDynamicComponent(_ctx.$props.selectable ? vue.unref(index.InActionArea) : "li"), vue.mergeProps(_ctx.$props.selectable && { component: "li" }, {
        class: [vue.unref(ns).b(), _ctx.$props.highlight ? vue.unref(ns).m("highlight") : "", vue.unref(cssClass)]
      }), {
        default: vue.withCtx(() => [
          vue.renderSlot(_ctx.$slots, "leading", vue.normalizeProps(vue.guardReactiveProps(leadingBind))),
          vue.createVNode(vue.unref(index$1.InTypography), {
            class: vue.normalizeClass([vue.unref(ns).m("text")]),
            variant: "label.large",
            color: "inherit"
          }, {
            default: vue.withCtx(() => [
              vue.renderSlot(_ctx.$slots, "default")
            ]),
            _: 3
            /* FORWARDED */
          }, 8, ["class"]),
          vue.renderSlot(_ctx.$slots, "trailing", vue.normalizeProps(vue.guardReactiveProps({ class: [vue.unref(ns).m("trailing")] })))
        ]),
        _: 3
        /* FORWARDED */
      }, 16, ["class"]);
    };
  }
});

exports.default = _sfc_main;
//# sourceMappingURL=index.vue2.js.map
