'use strict';

require('../../../../utils/index.js');
require('../../list/index.js');
var list = require('../../list/src/list.js');
var runtime = require('../../../../utils/src/vue/props/runtime.js');

"use strict";
const listItemProps = runtime.buildProps({
  cs: {
    type: [Object, String]
  },
  indent: {
    type: [Number, String],
    default: 0
  },
  selectable: {
    type: Boolean,
    default: true
  },
  alignItems: {
    type: String,
    values: list.listAlignItems,
    default: "center"
  },
  highlight: {
    type: Boolean,
    default: false
  },
  highlightColor: {
    type: [String, Function],
    default: "secondaryContainer"
  }
});

exports.listItemProps = listItemProps;
//# sourceMappingURL=list-item.js.map
