'use strict';

require('../../../../utils/index.js');
var runtime = require('../../../../utils/src/vue/props/runtime.js');

"use strict";
const modalProps = runtime.buildProps({
  modelValue: {
    type: Boolean,
    required: true,
    default: true
  },
  backdrop: {
    type: Boolean,
    default: true
  },
  keepMounted: {
    type: Boolean,
    default: false
  },
  cs: {
    type: [Object, String]
  }
});

exports.modalProps = modalProps;
//# sourceMappingURL=modal.js.map
