'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var vue = require('vue');
require('../../../../utils/index.js');
var progress = require('./progress.js');
var circular = require('./svg/circular.vue.js');
var linear = require('./svg/linear.vue.js');
var index_jss = require('./index.jss.js');
var useNamespace = require('../../../../utils/src/dom/use-namespace.js');

"use strict";
var _sfc_main = /* @__PURE__ */ vue.defineComponent({
  __name: "index",
  props: progress.progressProps,
  setup(__props) {
    const props = __props;
    const ns = useNamespace.useNamespace("progress");
    const style = index_jss.default(props);
    return (_ctx, _cache) => {
      return vue.openBlock(), vue.createElementBlock(
        "span",
        {
          class: vue.normalizeClass([vue.unref(ns).b(), vue.unref(style).cssClass])
        },
        [
          _ctx.$props.variant === "circular" ? (vue.openBlock(), vue.createBlock(circular.default, {
            key: 0,
            color: _ctx.$props.color,
            radius: vue.unref(style).radius,
            status: _ctx.$props.status,
            value: _ctx.$props.value
          }, null, 8, ["color", "radius", "status", "value"])) : (vue.openBlock(), vue.createBlock(linear.default, {
            key: 1,
            color: _ctx.$props.color,
            status: _ctx.$props.status,
            value: _ctx.$props.value
          }, null, 8, ["color", "status", "value"]))
        ],
        2
        /* CLASS */
      );
    };
  }
});

exports.default = _sfc_main;
//# sourceMappingURL=index.vue2.js.map
