'use strict';

require('../../../../utils/index.js');
var runtime = require('../../../../utils/src/vue/props/runtime.js');

"use strict";
const progressVariants = ["circular", "linear"];
const progressStatus = ["determinate", "indeterminate"];
const progressProps = runtime.buildProps({
  variant: {
    type: String,
    values: progressVariants,
    default: "circular"
  },
  status: {
    type: String,
    values: progressStatus,
    default: "indeterminate"
  },
  value: {
    type: [Number, String]
  },
  color: {
    type: [String, Function],
    default: "primary"
  },
  cs: {
    type: [Object, String]
  }
});

exports.progressProps = progressProps;
exports.progressStatus = progressStatus;
exports.progressVariants = progressVariants;
//# sourceMappingURL=progress.js.map
