'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var vue = require('vue');
require('../../../../../utils/index.js');
var props = require('./props.js');
var useNamespace = require('../../../../../utils/src/dom/use-namespace.js');

"use strict";
var _sfc_main = /* @__PURE__ */ vue.defineComponent({
  __name: "linear",
  props: props.progressCircleSvgProps,
  setup(__props) {
    const props = __props;
    const ns = useNamespace.useNamespace("progress");
    const style = vue.computed(
      () => props.status === "determinate" ? {
        width: `${props.value ?? 0}%`
      } : {}
    );
    return (_ctx, _cache) => {
      return vue.openBlock(), vue.createElementBlock(
        "span",
        {
          class: vue.normalizeClass([vue.unref(ns).e("linear"), vue.unref(ns).em("linear", "track"), vue.unref(ns).m(_ctx.$props.status)])
        },
        [
          vue.createElementVNode(
            "span",
            {
              class: vue.normalizeClass([vue.unref(ns).em("linear", "indicator")]),
              style: vue.normalizeStyle(style.value)
            },
            null,
            6
            /* CLASS, STYLE */
          )
        ],
        2
        /* CLASS */
      );
    };
  }
});

exports.default = _sfc_main;
//# sourceMappingURL=linear.vue2.js.map
