'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var vue = require('vue');
require('../../../../utils/index.js');
require('../../../../constants/index.js');
var index = require('../../icon-button/index.js');
var RadioButtonCheckedFilled = require('../../svg-icon/internal/RadioButtonCheckedFilled.vue.js');
var RadioButtonUncheckedFilled = require('../../svg-icon/internal/RadioButtonUncheckedFilled.vue.js');
var index$1 = require('../../input-base/index.js');
var radio = require('./radio.js');
var useNamespace = require('../../../../utils/src/dom/use-namespace.js');
var events = require('../../../../constants/src/events.js');

"use strict";
var _sfc_main = /* @__PURE__ */ vue.defineComponent({
  __name: "index",
  props: radio.radioProps,
  emits: ["update:modelValue"],
  setup(__props, { emit: __emit }) {
    const props = __props;
    const emit = __emit;
    const ns = useNamespace.useNamespace("radio");
    const checked = vue.computed({
      get() {
        return props.modelValue;
      },
      set(newVal) {
        emit(events.UPDATE_MODEL_EVENT, newVal);
      }
    });
    return (_ctx, _cache) => {
      return vue.openBlock(), vue.createBlock(vue.unref(index.InIconButton), vue.mergeProps({ component: "span" }, { color: _ctx.$props.color, size: _ctx.$props.size, class: [vue.unref(ns).b()] }, {
        class: [vue.unref(ns).b(), vue.unref(ns).m(props.size)]
      }), {
        default: vue.withCtx(() => [
          checked.value === _ctx.$attrs.value ? (vue.openBlock(), vue.createBlock(RadioButtonCheckedFilled.default, { key: 0 })) : (vue.openBlock(), vue.createBlock(RadioButtonUncheckedFilled.default, { key: 1 })),
          vue.createVNode(vue.unref(index$1.InInputBase), vue.mergeProps(_ctx.$attrs, {
            modelValue: checked.value,
            "onUpdate:modelValue": _cache[0] || (_cache[0] = ($event) => checked.value = $event),
            class: [vue.unref(ns).e("input")],
            type: "radio",
            internal: ""
          }), null, 16, ["modelValue", "class"])
        ]),
        _: 1
        /* STABLE */
      }, 16, ["class"]);
    };
  }
});

exports.default = _sfc_main;
//# sourceMappingURL=index.vue2.js.map
