'use strict';

require('../../../../constants/index.js');
require('../../../../utils/index.js');
var size = require('../../../../constants/src/size.js');
var runtime = require('../../../../utils/src/vue/props/runtime.js');

"use strict";
const switchHeight = {
  small: 28,
  medium: 32,
  large: 36
};
const switchProps = runtime.buildProps({
  modelValue: {
    type: Boolean,
    default: ""
  },
  color: {
    type: [String, Function],
    default: "primary"
  },
  size: {
    type: String,
    value: size.componentSizes,
    default: "medium"
  },
  cs: {
    type: [Object, String]
  },
  disabledIcon: {
    type: Boolean,
    default: false
  }
});

exports.switchHeight = switchHeight;
exports.switchProps = switchProps;
//# sourceMappingURL=switch.js.map
