'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var zIndexCSS = require('@interface-ui/theme/styles/z-index.less?inline');

"use strict";
const match = zIndexCSS.matchAll(/--in-sys-z-index-(.+): ([0-9]+);/g);
const zIndex = [...match].reduce((pre, cur) => {
  const [_, key, value] = cur;
  const camelCaseKey = key.replace(/-(\w)/g, (_2, c) => c.toUpperCase());
  pre[camelCaseKey] = Number(value);
  return pre;
}, {});

exports.default = zIndex;
exports.zIndex = zIndex;
//# sourceMappingURL=z-index.js.map
