'use strict';

var vue = require('vue');
require('../../../../node_modules/.pnpm/lodash-unified@1.0.3_@types_lodash-es@4.17.11_lodash-es@4.17.21_lodash@4.17.21/node_modules/lodash-unified/import.js');
var shared_esmBundler = require('../../../../node_modules/.pnpm/@vue_shared@3.2.47/node_modules/@vue/shared/dist/shared.esm-bundler.js');
var fromPairs = require('../../../../node_modules/.pnpm/lodash-es@4.17.21/node_modules/lodash-es/fromPairs.js');

"use strict";
const inPropKey = "__epPropKey";
const definePropType = (val) => val;
const isEpProp = (val) => shared_esmBundler.isObject(val) && !!val[inPropKey];
const buildProp = (prop, key) => {
  if (!shared_esmBundler.isObject(prop) || isEpProp(prop)) {
    return prop;
  }
  const { values, required, default: defaultValue, type, validator } = prop;
  const _validator = values || validator ? (val) => {
    let valid = false;
    let allowedValues = [];
    if (values) {
      allowedValues = Array.from(values);
      if (shared_esmBundler.hasOwn(prop, "default")) {
        allowedValues.push(defaultValue);
      }
      valid || (valid = allowedValues.includes(val));
    }
    if (validator) {
      valid || (valid = validator(val));
    }
    if (!valid && allowedValues.length > 0) {
      const allowValuesText = [...new Set(allowedValues)].map((value) => JSON.stringify(value)).join(", ");
      vue.warn(
        `Invalid prop: validation failed${key ? ` for prop "${key}"` : ""}. Expected one of [${allowValuesText}], got value ${JSON.stringify(
          val
        )}.`
      );
    }
    return valid;
  } : void 0;
  const epProp = {
    type,
    required: !!required,
    validator: _validator,
    [inPropKey]: true
  };
  if (shared_esmBundler.hasOwn(prop, "default")) {
    epProp.default = defaultValue;
  }
  return epProp;
};
const buildProps = (props) => fromPairs.default(
  Object.entries(props).map(([key, option]) => [
    key,
    buildProp(option, key)
  ])
);

exports.buildProp = buildProp;
exports.buildProps = buildProps;
exports.definePropType = definePropType;
exports.inPropKey = inPropKey;
exports.isEpProp = isEpProp;
//# sourceMappingURL=runtime.js.map
