import type { Component, ExtractPropTypes, PropType } from 'vue';
import { type ComponentSeverities } from '@interface-ui/constants';
export declare const alertVariants: readonly ["filled", "outlined"];
export type AlertVariants = typeof alertVariants[number];
export declare const alertProps: {
    variant: import("@interface-ui/utils").InPropFinalized<(new (...args: any[]) => "filled" | "outlined") | (() => "filled" | "outlined") | ((new (...args: any[]) => "filled" | "outlined") | (() => "filled" | "outlined"))[], "filled" | "outlined", unknown, string, boolean>;
    severity: import("@interface-ui/utils").InPropFinalized<(new (...args: any[]) => "error" | "success" | "info" | "warning") | (() => "error" | "success" | "info" | "warning") | ((new (...args: any[]) => "error" | "success" | "info" | "warning") | (() => "error" | "success" | "info" | "warning"))[], "error" | "success" | "info" | "warning", unknown, string, boolean>;
    icon: import("@interface-ui/utils").InPropFinalized<BooleanConstructor, unknown, unknown, boolean, boolean>;
    cs: {
        readonly type: PropType<import("@interface-ui/utils").InPropMergeType<(ObjectConstructor | StringConstructor)[], unknown, unknown>>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
};
export declare const alertIcons: Record<ComponentSeverities, Component>;
export type AlertProps = ExtractPropTypes<typeof alertProps>;
