import type { ExtractPropTypes, PropType } from 'vue';
import type { AcceptableColor } from '@interface-ui/theme';
export declare const avatarVariants: readonly ["circle", "square", "rounded"];
export type AvatarVariants = typeof avatarVariants[number];
export declare const avatarProps: {
    size: import("@interface-ui/utils").InPropFinalized<(new (...args: any[]) => string | number) | (() => string | number) | ((new (...args: any[]) => string | number) | (() => string | number))[], unknown, string | number, number, boolean>;
    variant: import("@interface-ui/utils").InPropFinalized<(new (...args: any[]) => "circle" | "square" | "rounded") | (() => "circle" | "square" | "rounded") | ((new (...args: any[]) => "circle" | "square" | "rounded") | (() => "circle" | "square" | "rounded"))[], "circle" | "square" | "rounded", unknown, string, boolean>;
    color: import("@interface-ui/utils").InPropFinalized<(new (...args: any[]) => string | import("@interface-ui/theme").ThemeCallBack) | (() => AcceptableColor) | ((new (...args: any[]) => string | import("@interface-ui/theme").ThemeCallBack) | (() => AcceptableColor))[], unknown, unknown, string, boolean>;
    background: import("@interface-ui/utils").InPropFinalized<(new (...args: any[]) => string | import("@interface-ui/theme").ThemeCallBack) | (() => AcceptableColor) | ((new (...args: any[]) => string | import("@interface-ui/theme").ThemeCallBack) | (() => AcceptableColor))[], unknown, unknown, string, boolean>;
    cs: {
        readonly type: PropType<import("@interface-ui/utils").InPropMergeType<(ObjectConstructor | StringConstructor)[], unknown, unknown>>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
};
export type AvatarProps = ExtractPropTypes<typeof avatarProps>;
