import type { AcceptableColor } from '@interface-ui/theme';
import type { Component, ExtractPropTypes, PropType } from 'vue';
export declare const badgeVariants: readonly ["dot", "content"];
export type BadgeVariants = typeof badgeVariants[number];
export declare const badgeProps: {
    content: {
        readonly type: PropType<import("@interface-ui/utils").InPropMergeType<(new (...args: any[]) => (string | number | Component<any, any, any, import("vue").ComputedOptions, import("vue").MethodOptions>) & {}) | (() => string | number | Component<any, any, any, import("vue").ComputedOptions, import("vue").MethodOptions>) | ((new (...args: any[]) => (string | number | Component<any, any, any, import("vue").ComputedOptions, import("vue").MethodOptions>) & {}) | (() => string | number | Component<any, any, any, import("vue").ComputedOptions, import("vue").MethodOptions>))[], unknown, unknown>>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
    variant: import("@interface-ui/utils").InPropFinalized<(new (...args: any[]) => "content" | "dot") | (() => "content" | "dot") | ((new (...args: any[]) => "content" | "dot") | (() => "content" | "dot"))[], "content" | "dot", unknown, string, boolean>;
    color: import("@interface-ui/utils").InPropFinalized<(new (...args: any[]) => string | import("@interface-ui/theme").ThemeCallBack) | (() => AcceptableColor) | ((new (...args: any[]) => string | import("@interface-ui/theme").ThemeCallBack) | (() => AcceptableColor))[], unknown, unknown, string, boolean>;
    max: {
        readonly type: PropType<import("@interface-ui/utils").InPropMergeType<(NumberConstructor | StringConstructor)[], unknown, unknown>>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
    overlap: import("@interface-ui/utils").InPropFinalized<BooleanConstructor, unknown, unknown, boolean, boolean>;
    xAlign: import("@interface-ui/utils").InPropFinalized<(new (...args: any[]) => "left" | "right") | (() => "left" | "right") | ((new (...args: any[]) => "left" | "right") | (() => "left" | "right"))[], string, unknown, string, boolean>;
    yAlign: import("@interface-ui/utils").InPropFinalized<(new (...args: any[]) => "top" | "bottom") | (() => "top" | "bottom") | ((new (...args: any[]) => "top" | "bottom") | (() => "top" | "bottom"))[], string, unknown, string, boolean>;
};
export type BadgeProps = ExtractPropTypes<typeof badgeProps>;
