import type { Component, ExtractPropTypes, PropType } from 'vue';
export declare const cardMediaShapes: readonly ["rounded", "square"];
export type CardMediaShapes = typeof cardMediaShapes[number];
export declare const cardMediaProps: {
    cs: {
        readonly type: PropType<import("@interface-ui/utils").InPropMergeType<(ObjectConstructor | StringConstructor)[], unknown, unknown>>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
    shape: import("@interface-ui/utils").InPropFinalized<(new (...args: any[]) => "square" | "rounded") | (() => "square" | "rounded") | ((new (...args: any[]) => "square" | "rounded") | (() => "square" | "rounded"))[], "square" | "rounded", unknown, string, boolean>;
    component: import("@interface-ui/utils").InPropFinalized<(new (...args: any[]) => (string | Component<any, any, any, import("vue").ComputedOptions, import("vue").MethodOptions>) & {}) | (() => string | Component<any, any, any, import("vue").ComputedOptions, import("vue").MethodOptions>) | ((new (...args: any[]) => (string | Component<any, any, any, import("vue").ComputedOptions, import("vue").MethodOptions>) & {}) | (() => string | Component<any, any, any, import("vue").ComputedOptions, import("vue").MethodOptions>))[], unknown, unknown, string, boolean>;
    gutter: import("@interface-ui/utils").InPropFinalized<BooleanConstructor, unknown, unknown, boolean, boolean>;
};
export type CardMediaProps = ExtractPropTypes<typeof cardMediaProps>;
