import type { ExtractPropTypes, PropType } from 'vue';
export declare const cardVariants: readonly ["elevated", "filled", "outlined"];
export type CardVariants = typeof cardVariants[number];
export declare const cardProps: {
    variant: import("@interface-ui/utils").InPropFinalized<(new (...args: any[]) => "filled" | "outlined" | "elevated") | (() => "filled" | "outlined" | "elevated") | ((new (...args: any[]) => "filled" | "outlined" | "elevated") | (() => "filled" | "outlined" | "elevated"))[], "filled" | "outlined" | "elevated", unknown, string, boolean>;
    cs: {
        readonly type: PropType<import("@interface-ui/utils").InPropMergeType<(ObjectConstructor | StringConstructor)[], unknown, unknown>>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
};
export type CardProps = ExtractPropTypes<typeof cardProps>;
