import type { Component, ExtractPropTypes, PropType } from 'vue';
export declare const dividerVariants: readonly ["full-width", "inset"];
export type DividerVariants = typeof dividerVariants[number];
export declare const dividerOrientations: readonly ["horizontal", "vertical"];
export type DividerOrientations = typeof dividerOrientations[number];
export declare const dividerTextAlignments: readonly ["left", "center", "right"];
export type DividerTextAlignments = typeof dividerTextAlignments[number];
export declare const dividerProps: {
    variant: import("@interface-ui/utils").InPropFinalized<(new (...args: any[]) => "inset" | "full-width") | (() => "inset" | "full-width") | ((new (...args: any[]) => "inset" | "full-width") | (() => "inset" | "full-width"))[], "inset" | "full-width", unknown, string, boolean>;
    orientation: import("@interface-ui/utils").InPropFinalized<(new (...args: any[]) => "horizontal" | "vertical") | (() => "horizontal" | "vertical") | ((new (...args: any[]) => "horizontal" | "vertical") | (() => "horizontal" | "vertical"))[], "horizontal" | "vertical", unknown, string, boolean>;
    textAlign: import("@interface-ui/utils").InPropFinalized<(new (...args: any[]) => "left" | "right" | "center") | (() => "left" | "right" | "center") | ((new (...args: any[]) => "left" | "right" | "center") | (() => "left" | "right" | "center"))[], "left" | "right" | "center", unknown, string, boolean>;
    component: import("@interface-ui/utils").InPropFinalized<(new (...args: any[]) => (string | Component<any, any, any, import("vue").ComputedOptions, import("vue").MethodOptions>) & {}) | (() => string | Component<any, any, any, import("vue").ComputedOptions, import("vue").MethodOptions>) | ((new (...args: any[]) => (string | Component<any, any, any, import("vue").ComputedOptions, import("vue").MethodOptions>) & {}) | (() => string | Component<any, any, any, import("vue").ComputedOptions, import("vue").MethodOptions>))[], unknown, unknown, string, boolean>;
    noMargin: import("@interface-ui/utils").InPropFinalized<BooleanConstructor, unknown, unknown, boolean, boolean>;
    cs: {
        readonly type: PropType<import("@interface-ui/utils").InPropMergeType<(ObjectConstructor | StringConstructor)[], unknown, unknown>>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
};
export type DividerProps = ExtractPropTypes<typeof dividerProps>;
