import type { ExtractPropTypes, PropType } from 'vue';
export declare const formLabelProps: {
    label: {
        type: StringConstructor;
        required: boolean;
    };
    control: {
        required: boolean;
    };
    labelPlacement: {
        type: PropType<"left" | "right" | "top" | "bottom">;
        values: readonly ["left", "right", "top", "bottom"];
        default: string;
    };
};
export type FormLabelProps = ExtractPropTypes<typeof formLabelProps>;
