import type { ExtractPropTypes, PropType } from 'vue';
declare const popoverXPlacements: readonly ["left", "center", "right"];
declare const popoverYPlacements: readonly ["top", "bottom"];
export interface PopoverPlacements {
    x: typeof popoverXPlacements[number];
    y: typeof popoverYPlacements[number];
}
export declare const popoverProps: {
    open: import("@interface-ui/utils").InPropFinalized<BooleanConstructor, unknown, unknown, boolean, boolean>;
    anchor: {
        readonly type: PropType<import("@interface-ui/utils").InPropMergeType<(new (...args: any[]) => HTMLElement | MouseEvent) | (() => HTMLElement | MouseEvent | null | undefined) | ((new (...args: any[]) => HTMLElement | MouseEvent) | (() => HTMLElement | MouseEvent | null | undefined))[], unknown, unknown>>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
    backdrop: import("@interface-ui/utils").InPropFinalized<BooleanConstructor, unknown, unknown, boolean, boolean>;
    keepMounted: import("@interface-ui/utils").InPropFinalized<BooleanConstructor, unknown, unknown, boolean, boolean>;
    placement: import("@interface-ui/utils").InPropFinalized<(new (...args: any[]) => Partial<PopoverPlacements>) | (() => Partial<PopoverPlacements>) | ((new (...args: any[]) => Partial<PopoverPlacements>) | (() => Partial<PopoverPlacements>))[], unknown, unknown, () => {
        x: string;
        y: string;
    }, boolean>;
    cs: {
        readonly type: PropType<import("@interface-ui/utils").InPropMergeType<(ObjectConstructor | StringConstructor)[], unknown, unknown>>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
};
export type PopoverProps = ExtractPropTypes<typeof popoverProps>;
export {};
