import type { AcceptableColor } from '@interface-ui/theme';
import type { ExtractPropTypes, PropType } from 'vue';
export declare const progressVariants: readonly ["circular", "linear"];
export type ProgressVariants = typeof progressVariants[number];
export declare const progressStatus: readonly ["determinate", "indeterminate"];
export type ProgressStatus = typeof progressStatus[number];
export declare const progressProps: {
    variant: import("@interface-ui/utils").InPropFinalized<(new (...args: any[]) => "linear" | "circular") | (() => "linear" | "circular") | ((new (...args: any[]) => "linear" | "circular") | (() => "linear" | "circular"))[], "linear" | "circular", unknown, string, boolean>;
    status: import("@interface-ui/utils").InPropFinalized<(new (...args: any[]) => "determinate" | "indeterminate") | (() => "determinate" | "indeterminate") | ((new (...args: any[]) => "determinate" | "indeterminate") | (() => "determinate" | "indeterminate"))[], "determinate" | "indeterminate", unknown, string, boolean>;
    value: {
        readonly type: PropType<import("@interface-ui/utils").InPropMergeType<(NumberConstructor | StringConstructor)[], unknown, unknown>>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
    color: import("@interface-ui/utils").InPropFinalized<(new (...args: any[]) => string | import("@interface-ui/theme").ThemeCallBack) | (() => AcceptableColor) | ((new (...args: any[]) => string | import("@interface-ui/theme").ThemeCallBack) | (() => AcceptableColor))[], unknown, unknown, string, boolean>;
    cs: {
        readonly type: PropType<import("@interface-ui/utils").InPropMergeType<(ObjectConstructor | StringConstructor)[], unknown, unknown>>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
};
export type ProgressProps = ExtractPropTypes<typeof progressProps>;
