import type { ExtractPropTypes, PropType } from 'vue';
import type { AcceptableColor } from '@interface-ui/theme';
export declare const radioProps: {
    modelValue: {
        type: (NumberConstructor | BooleanConstructor | StringConstructor)[];
        required: boolean;
    };
    size: {
        type: PropType<"small" | "medium" | "large">;
        value: readonly ["small", "medium", "large"];
        default: string;
    };
    color: {
        type: PropType<AcceptableColor>;
        default: string;
    };
};
export type RadioProps = ExtractPropTypes<typeof radioProps>;
