import type { ExtractPropTypes } from 'vue';
import type { AcceptableColor } from '@interface-ui/theme';
export interface RippleStyle {
    x: number;
    y: number;
    size: number;
}
export declare const rippleProps: {
    color: import("@interface-ui/utils").InPropFinalized<(new (...args: any[]) => string | import("@interface-ui/theme").ThemeCallBack) | (() => AcceptableColor) | ((new (...args: any[]) => string | import("@interface-ui/theme").ThemeCallBack) | (() => AcceptableColor))[], unknown, unknown, string, boolean>;
    center: import("@interface-ui/utils").InPropFinalized<BooleanConstructor, unknown, unknown, boolean, boolean>;
    duration: import("@interface-ui/utils").InPropFinalized<NumberConstructor, unknown, unknown, number, boolean>;
};
export type RippleProps = ExtractPropTypes<typeof rippleProps>;
