import type { AcceptableColor } from '@interface-ui/theme';
import type { ExtractPropTypes, PropType } from 'vue';
export declare const textFiedlVariants: readonly ["outlined", "filled", "standard"];
export type TextFieldVariants = typeof textFiedlVariants[number];
export declare const textFieldProps: {
    modelValue: import("@interface-ui/utils").InPropFinalized<StringConstructor, unknown, unknown, string, boolean>;
    variant: import("@interface-ui/utils").InPropFinalized<(new (...args: any[]) => "filled" | "outlined" | "standard") | (() => "filled" | "outlined" | "standard") | ((new (...args: any[]) => "filled" | "outlined" | "standard") | (() => "filled" | "outlined" | "standard"))[], "filled" | "outlined" | "standard", unknown, string, boolean>;
    label: {
        readonly type: PropType<string>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
    color: import("@interface-ui/utils").InPropFinalized<(new (...args: any[]) => string | import("@interface-ui/theme").ThemeCallBack) | (() => AcceptableColor) | ((new (...args: any[]) => string | import("@interface-ui/theme").ThemeCallBack) | (() => AcceptableColor))[], unknown, unknown, string, boolean>;
    size: import("@interface-ui/utils").InPropFinalized<(new (...args: any[]) => "small" | "medium" | "large") | (() => "small" | "medium" | "large") | ((new (...args: any[]) => "small" | "medium" | "large") | (() => "small" | "medium" | "large"))[], "small" | "medium" | "large", unknown, string, boolean>;
    cs: {
        readonly type: PropType<TemplateStringsArray>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
    error: import("@interface-ui/utils").InPropFinalized<BooleanConstructor, unknown, unknown, boolean, boolean>;
    supportingText: {
        readonly type: PropType<string>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
};
export type TextFieldProps = ExtractPropTypes<typeof textFieldProps>;
