import type { AcceptableColor, TypographyWithoutSize } from '@interface-ui/theme';
import type { Component, ExtractPropTypes, PropType } from 'vue';
export type TypographyVariant = TypographyWithoutSize | 'title.small' | 'title.medium' | 'title.large' | 'body.small' | 'body.medium' | 'body.large' | 'label.small' | 'label.medium' | 'label.large';
export declare const typographyProps: {
    variant: import("@interface-ui/utils").InPropFinalized<(new (...args: any[]) => "h1" | "h2" | "h3" | "h4" | "h5" | "h6" | "title.small" | "title.medium" | "title.large" | "body.small" | "body.medium" | "body.large" | "label.small" | "label.medium" | "label.large") | (() => TypographyVariant) | ((new (...args: any[]) => "h1" | "h2" | "h3" | "h4" | "h5" | "h6" | "title.small" | "title.medium" | "title.large" | "body.small" | "body.medium" | "body.large" | "label.small" | "label.medium" | "label.large") | (() => TypographyVariant))[], string, unknown, string, boolean>;
    component: {
        readonly type: PropType<import("@interface-ui/utils").InPropMergeType<(new (...args: any[]) => (string | Component<any, any, any, import("vue").ComputedOptions, import("vue").MethodOptions>) & {}) | (() => string | Component<any, any, any, import("vue").ComputedOptions, import("vue").MethodOptions>) | ((new (...args: any[]) => (string | Component<any, any, any, import("vue").ComputedOptions, import("vue").MethodOptions>) & {}) | (() => string | Component<any, any, any, import("vue").ComputedOptions, import("vue").MethodOptions>))[], unknown, unknown>>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
    noWarp: import("@interface-ui/utils").InPropFinalized<BooleanConstructor, unknown, unknown, boolean, boolean>;
    gutter: import("@interface-ui/utils").InPropFinalized<BooleanConstructor, unknown, unknown, boolean, boolean>;
    color: import("@interface-ui/utils").InPropFinalized<(new (...args: any[]) => string | import("@interface-ui/theme").ThemeCallBack) | (() => AcceptableColor) | ((new (...args: any[]) => string | import("@interface-ui/theme").ThemeCallBack) | (() => AcceptableColor))[], unknown, unknown, string, boolean>;
    cs: {
        readonly type: PropType<import("@interface-ui/utils").InPropMergeType<(ObjectConstructor | StringConstructor)[], unknown, unknown>>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
};
export type TypographyProps = ExtractPropTypes<typeof typographyProps>;
