import type { Ref } from 'vue';
import type { Theme } from '../core';
/**
 * The hook to provide theme obj to the child components
 * @param {Ref<Theme>} theme The theme obj
 */
export declare const useThemeProvider: (theme: Ref<Theme>) => void;
