import type { Ref } from 'vue';
import type Theme from '../core/theme';
import type { ThemeMode } from '../mode';
/**
 * Get the current theme object
 * @returns {Ref<Theme> } Theme object
 */
export declare const useTheme: (mode?: ThemeMode) => Ref<Theme>;
