/**
 *
 * @param func
 * @param delay
 * @returns
 */
declare function debounce<T extends (...args: any[]) => void>(func: T, delay: number): (...args: Parameters<T>) => void;
/**
 *
 * @param func
 * @param delay
 * @returns
 */
declare function throttle<T extends (...args: any[]) => void>(func: T, delay: number): (...args: Parameters<T>) => void;
/**
 * 新增事件监听
 * @param {*} element
 * @param {*} event
 * @param {*} handler
 * @param {*} useCapture
 */
declare function on(element: {
    addEventListener: (arg0: any, arg1: any, arg2: boolean) => void;
}, event: any, handler: any, useCapture?: any): void;
/**
   * 移除事件监听
   * @param {*} element
   * @param {*} event
   * @param {*} handler
   * @param {*} useCapture
   */
declare function off(element: {
    removeEventListener: (arg0: any, arg1: any, arg2: boolean) => void;
}, event: any, handler: any, useCapture?: any): void;
export { debounce, throttle, on, off };
